//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*
Copyright 2025 The KubeOne Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

package v1beta3

import (
	json "encoding/json"
	unsafe "unsafe"

	kubeone "k8c.io/kubeone/pkg/apis/kubeone"
	v1 "k8s.io/api/core/v1"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*APIEndpoint)(nil), (*kubeone.APIEndpoint)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_APIEndpoint_To_kubeone_APIEndpoint(a.(*APIEndpoint), b.(*kubeone.APIEndpoint), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.APIEndpoint)(nil), (*APIEndpoint)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_APIEndpoint_To_v1beta3_APIEndpoint(a.(*kubeone.APIEndpoint), b.(*APIEndpoint), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSSpec)(nil), (*kubeone.AWSSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_AWSSpec_To_kubeone_AWSSpec(a.(*AWSSpec), b.(*kubeone.AWSSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.AWSSpec)(nil), (*AWSSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_AWSSpec_To_v1beta3_AWSSpec(a.(*kubeone.AWSSpec), b.(*AWSSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Addon)(nil), (*kubeone.Addon)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_Addon_To_kubeone_Addon(a.(*Addon), b.(*kubeone.Addon), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.Addon)(nil), (*Addon)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_Addon_To_v1beta3_Addon(a.(*kubeone.Addon), b.(*Addon), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AddonRef)(nil), (*kubeone.AddonRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_AddonRef_To_kubeone_AddonRef(a.(*AddonRef), b.(*kubeone.AddonRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.AddonRef)(nil), (*AddonRef)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_AddonRef_To_v1beta3_AddonRef(a.(*kubeone.AddonRef), b.(*AddonRef), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Addons)(nil), (*kubeone.Addons)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_Addons_To_kubeone_Addons(a.(*Addons), b.(*kubeone.Addons), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.Addons)(nil), (*Addons)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_Addons_To_v1beta3_Addons(a.(*kubeone.Addons), b.(*Addons), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AzureSpec)(nil), (*kubeone.AzureSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_AzureSpec_To_kubeone_AzureSpec(a.(*AzureSpec), b.(*kubeone.AzureSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.AzureSpec)(nil), (*AzureSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_AzureSpec_To_v1beta3_AzureSpec(a.(*kubeone.AzureSpec), b.(*AzureSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CNI)(nil), (*kubeone.CNI)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_CNI_To_kubeone_CNI(a.(*CNI), b.(*kubeone.CNI), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CNI)(nil), (*CNI)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CNI_To_v1beta3_CNI(a.(*kubeone.CNI), b.(*CNI), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CanalSpec)(nil), (*kubeone.CanalSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_CanalSpec_To_kubeone_CanalSpec(a.(*CanalSpec), b.(*kubeone.CanalSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CanalSpec)(nil), (*CanalSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CanalSpec_To_v1beta3_CanalSpec(a.(*kubeone.CanalSpec), b.(*CanalSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CloudProviderSpec)(nil), (*kubeone.CloudProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_CloudProviderSpec_To_kubeone_CloudProviderSpec(a.(*CloudProviderSpec), b.(*kubeone.CloudProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CloudProviderSpec)(nil), (*CloudProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CloudProviderSpec_To_v1beta3_CloudProviderSpec(a.(*kubeone.CloudProviderSpec), b.(*CloudProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ClusterNetworkConfig)(nil), (*kubeone.ClusterNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(a.(*ClusterNetworkConfig), b.(*kubeone.ClusterNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ClusterNetworkConfig)(nil), (*ClusterNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ClusterNetworkConfig_To_v1beta3_ClusterNetworkConfig(a.(*kubeone.ClusterNetworkConfig), b.(*ClusterNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ContainerRuntimeConfig)(nil), (*ContainerRuntimeConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerRuntimeConfig_To_v1beta3_ContainerRuntimeConfig(a.(*kubeone.ContainerRuntimeConfig), b.(*ContainerRuntimeConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerRuntimeContainerd)(nil), (*kubeone.ContainerRuntimeContainerd)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(a.(*ContainerRuntimeContainerd), b.(*kubeone.ContainerRuntimeContainerd), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ContainerRuntimeContainerd)(nil), (*ContainerRuntimeContainerd)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerRuntimeContainerd_To_v1beta3_ContainerRuntimeContainerd(a.(*kubeone.ContainerRuntimeContainerd), b.(*ContainerRuntimeContainerd), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerdRegistry)(nil), (*kubeone.ContainerdRegistry)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ContainerdRegistry_To_kubeone_ContainerdRegistry(a.(*ContainerdRegistry), b.(*kubeone.ContainerdRegistry), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ContainerdRegistry)(nil), (*ContainerdRegistry)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerdRegistry_To_v1beta3_ContainerdRegistry(a.(*kubeone.ContainerdRegistry), b.(*ContainerdRegistry), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerdRegistryAuthConfig)(nil), (*kubeone.ContainerdRegistryAuthConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ContainerdRegistryAuthConfig_To_kubeone_ContainerdRegistryAuthConfig(a.(*ContainerdRegistryAuthConfig), b.(*kubeone.ContainerdRegistryAuthConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ContainerdRegistryAuthConfig)(nil), (*ContainerdRegistryAuthConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerdRegistryAuthConfig_To_v1beta3_ContainerdRegistryAuthConfig(a.(*kubeone.ContainerdRegistryAuthConfig), b.(*ContainerdRegistryAuthConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerdTLSConfig)(nil), (*kubeone.ContainerdTLSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ContainerdTLSConfig_To_kubeone_ContainerdTLSConfig(a.(*ContainerdTLSConfig), b.(*kubeone.ContainerdTLSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ContainerdTLSConfig)(nil), (*ContainerdTLSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerdTLSConfig_To_v1beta3_ContainerdTLSConfig(a.(*kubeone.ContainerdTLSConfig), b.(*ContainerdTLSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ControlPlaneComponentConfig)(nil), (*kubeone.ControlPlaneComponentConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ControlPlaneComponentConfig_To_kubeone_ControlPlaneComponentConfig(a.(*ControlPlaneComponentConfig), b.(*kubeone.ControlPlaneComponentConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ControlPlaneComponentConfig)(nil), (*ControlPlaneComponentConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ControlPlaneComponentConfig_To_v1beta3_ControlPlaneComponentConfig(a.(*kubeone.ControlPlaneComponentConfig), b.(*ControlPlaneComponentConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ControlPlaneComponents)(nil), (*kubeone.ControlPlaneComponents)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ControlPlaneComponents_To_kubeone_ControlPlaneComponents(a.(*ControlPlaneComponents), b.(*kubeone.ControlPlaneComponents), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ControlPlaneComponents)(nil), (*ControlPlaneComponents)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ControlPlaneComponents_To_v1beta3_ControlPlaneComponents(a.(*kubeone.ControlPlaneComponents), b.(*ControlPlaneComponents), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ControlPlaneConfig)(nil), (*kubeone.ControlPlaneConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(a.(*ControlPlaneConfig), b.(*kubeone.ControlPlaneConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ControlPlaneConfig)(nil), (*ControlPlaneConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ControlPlaneConfig_To_v1beta3_ControlPlaneConfig(a.(*kubeone.ControlPlaneConfig), b.(*ControlPlaneConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CoreDNS)(nil), (*kubeone.CoreDNS)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_CoreDNS_To_kubeone_CoreDNS(a.(*CoreDNS), b.(*kubeone.CoreDNS), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CoreDNS)(nil), (*CoreDNS)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CoreDNS_To_v1beta3_CoreDNS(a.(*kubeone.CoreDNS), b.(*CoreDNS), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DNSConfig)(nil), (*kubeone.DNSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_DNSConfig_To_kubeone_DNSConfig(a.(*DNSConfig), b.(*kubeone.DNSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DNSConfig)(nil), (*DNSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DNSConfig_To_v1beta3_DNSConfig(a.(*kubeone.DNSConfig), b.(*DNSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DigitalOceanSpec)(nil), (*kubeone.DigitalOceanSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(a.(*DigitalOceanSpec), b.(*kubeone.DigitalOceanSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DigitalOceanSpec)(nil), (*DigitalOceanSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DigitalOceanSpec_To_v1beta3_DigitalOceanSpec(a.(*kubeone.DigitalOceanSpec), b.(*DigitalOceanSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DynamicAuditLog)(nil), (*kubeone.DynamicAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_DynamicAuditLog_To_kubeone_DynamicAuditLog(a.(*DynamicAuditLog), b.(*kubeone.DynamicAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DynamicAuditLog)(nil), (*DynamicAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DynamicAuditLog_To_v1beta3_DynamicAuditLog(a.(*kubeone.DynamicAuditLog), b.(*DynamicAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DynamicWorkerConfig)(nil), (*kubeone.DynamicWorkerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(a.(*DynamicWorkerConfig), b.(*kubeone.DynamicWorkerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DynamicWorkerConfig)(nil), (*DynamicWorkerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DynamicWorkerConfig_To_v1beta3_DynamicWorkerConfig(a.(*kubeone.DynamicWorkerConfig), b.(*DynamicWorkerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*EncryptionProviders)(nil), (*kubeone.EncryptionProviders)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_EncryptionProviders_To_kubeone_EncryptionProviders(a.(*EncryptionProviders), b.(*kubeone.EncryptionProviders), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.EncryptionProviders)(nil), (*EncryptionProviders)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_EncryptionProviders_To_v1beta3_EncryptionProviders(a.(*kubeone.EncryptionProviders), b.(*EncryptionProviders), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*EquinixMetalSpec)(nil), (*kubeone.EquinixMetalSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_EquinixMetalSpec_To_kubeone_EquinixMetalSpec(a.(*EquinixMetalSpec), b.(*kubeone.EquinixMetalSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.EquinixMetalSpec)(nil), (*EquinixMetalSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_EquinixMetalSpec_To_v1beta3_EquinixMetalSpec(a.(*kubeone.EquinixMetalSpec), b.(*EquinixMetalSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ExternalCNISpec)(nil), (*kubeone.ExternalCNISpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ExternalCNISpec_To_kubeone_ExternalCNISpec(a.(*ExternalCNISpec), b.(*kubeone.ExternalCNISpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ExternalCNISpec)(nil), (*ExternalCNISpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ExternalCNISpec_To_v1beta3_ExternalCNISpec(a.(*kubeone.ExternalCNISpec), b.(*ExternalCNISpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Features)(nil), (*kubeone.Features)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_Features_To_kubeone_Features(a.(*Features), b.(*kubeone.Features), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.Features)(nil), (*Features)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_Features_To_v1beta3_Features(a.(*kubeone.Features), b.(*Features), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*GCESpec)(nil), (*kubeone.GCESpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_GCESpec_To_kubeone_GCESpec(a.(*GCESpec), b.(*kubeone.GCESpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.GCESpec)(nil), (*GCESpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_GCESpec_To_v1beta3_GCESpec(a.(*kubeone.GCESpec), b.(*GCESpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*HelmRelease)(nil), (*kubeone.HelmRelease)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_HelmRelease_To_kubeone_HelmRelease(a.(*HelmRelease), b.(*kubeone.HelmRelease), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.HelmRelease)(nil), (*HelmRelease)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_HelmRelease_To_v1beta3_HelmRelease(a.(*kubeone.HelmRelease), b.(*HelmRelease), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*HelmValues)(nil), (*kubeone.HelmValues)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_HelmValues_To_kubeone_HelmValues(a.(*HelmValues), b.(*kubeone.HelmValues), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.HelmValues)(nil), (*HelmValues)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_HelmValues_To_v1beta3_HelmValues(a.(*kubeone.HelmValues), b.(*HelmValues), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*HetznerSpec)(nil), (*kubeone.HetznerSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_HetznerSpec_To_kubeone_HetznerSpec(a.(*HetznerSpec), b.(*kubeone.HetznerSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.HetznerSpec)(nil), (*HetznerSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_HetznerSpec_To_v1beta3_HetznerSpec(a.(*kubeone.HetznerSpec), b.(*HetznerSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*HostConfig)(nil), (*kubeone.HostConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_HostConfig_To_kubeone_HostConfig(a.(*HostConfig), b.(*kubeone.HostConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.HostConfig)(nil), (*HostConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_HostConfig_To_v1beta3_HostConfig(a.(*kubeone.HostConfig), b.(*HostConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*IPTables)(nil), (*kubeone.IPTables)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_IPTables_To_kubeone_IPTables(a.(*IPTables), b.(*kubeone.IPTables), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.IPTables)(nil), (*IPTables)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_IPTables_To_v1beta3_IPTables(a.(*kubeone.IPTables), b.(*IPTables), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*IPVSConfig)(nil), (*kubeone.IPVSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_IPVSConfig_To_kubeone_IPVSConfig(a.(*IPVSConfig), b.(*kubeone.IPVSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.IPVSConfig)(nil), (*IPVSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_IPVSConfig_To_v1beta3_IPVSConfig(a.(*kubeone.IPVSConfig), b.(*IPVSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*KubeOneCluster)(nil), (*kubeone.KubeOneCluster)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_KubeOneCluster_To_kubeone_KubeOneCluster(a.(*KubeOneCluster), b.(*kubeone.KubeOneCluster), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*KubeProxyConfig)(nil), (*kubeone.KubeProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_KubeProxyConfig_To_kubeone_KubeProxyConfig(a.(*KubeProxyConfig), b.(*kubeone.KubeProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.KubeProxyConfig)(nil), (*KubeProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_KubeProxyConfig_To_v1beta3_KubeProxyConfig(a.(*kubeone.KubeProxyConfig), b.(*KubeProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*KubeletConfig)(nil), (*kubeone.KubeletConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_KubeletConfig_To_kubeone_KubeletConfig(a.(*KubeletConfig), b.(*kubeone.KubeletConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.KubeletConfig)(nil), (*KubeletConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_KubeletConfig_To_v1beta3_KubeletConfig(a.(*kubeone.KubeletConfig), b.(*KubeletConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*KubevirtSpec)(nil), (*kubeone.KubevirtSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_KubevirtSpec_To_kubeone_KubevirtSpec(a.(*KubevirtSpec), b.(*kubeone.KubevirtSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.KubevirtSpec)(nil), (*KubevirtSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_KubevirtSpec_To_v1beta3_KubevirtSpec(a.(*kubeone.KubevirtSpec), b.(*KubevirtSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*LoggingConfig)(nil), (*kubeone.LoggingConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_LoggingConfig_To_kubeone_LoggingConfig(a.(*LoggingConfig), b.(*kubeone.LoggingConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.LoggingConfig)(nil), (*LoggingConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_LoggingConfig_To_v1beta3_LoggingConfig(a.(*kubeone.LoggingConfig), b.(*LoggingConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MachineControllerConfig)(nil), (*kubeone.MachineControllerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_MachineControllerConfig_To_kubeone_MachineControllerConfig(a.(*MachineControllerConfig), b.(*kubeone.MachineControllerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.MachineControllerConfig)(nil), (*MachineControllerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_MachineControllerConfig_To_v1beta3_MachineControllerConfig(a.(*kubeone.MachineControllerConfig), b.(*MachineControllerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MetricsServer)(nil), (*kubeone.MetricsServer)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_MetricsServer_To_kubeone_MetricsServer(a.(*MetricsServer), b.(*kubeone.MetricsServer), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.MetricsServer)(nil), (*MetricsServer)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_MetricsServer_To_v1beta3_MetricsServer(a.(*kubeone.MetricsServer), b.(*MetricsServer), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*NodeLocalDNS)(nil), (*kubeone.NodeLocalDNS)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_NodeLocalDNS_To_kubeone_NodeLocalDNS(a.(*NodeLocalDNS), b.(*kubeone.NodeLocalDNS), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.NodeLocalDNS)(nil), (*NodeLocalDNS)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_NodeLocalDNS_To_v1beta3_NodeLocalDNS(a.(*kubeone.NodeLocalDNS), b.(*NodeLocalDNS), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*NoneSpec)(nil), (*kubeone.NoneSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_NoneSpec_To_kubeone_NoneSpec(a.(*NoneSpec), b.(*kubeone.NoneSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.NoneSpec)(nil), (*NoneSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_NoneSpec_To_v1beta3_NoneSpec(a.(*kubeone.NoneSpec), b.(*NoneSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*NutanixSpec)(nil), (*kubeone.NutanixSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_NutanixSpec_To_kubeone_NutanixSpec(a.(*NutanixSpec), b.(*kubeone.NutanixSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.NutanixSpec)(nil), (*NutanixSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_NutanixSpec_To_v1beta3_NutanixSpec(a.(*kubeone.NutanixSpec), b.(*NutanixSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OpenIDConnect)(nil), (*kubeone.OpenIDConnect)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_OpenIDConnect_To_kubeone_OpenIDConnect(a.(*OpenIDConnect), b.(*kubeone.OpenIDConnect), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OpenIDConnect)(nil), (*OpenIDConnect)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OpenIDConnect_To_v1beta3_OpenIDConnect(a.(*kubeone.OpenIDConnect), b.(*OpenIDConnect), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OpenIDConnectConfig)(nil), (*kubeone.OpenIDConnectConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(a.(*OpenIDConnectConfig), b.(*kubeone.OpenIDConnectConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OpenIDConnectConfig)(nil), (*OpenIDConnectConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OpenIDConnectConfig_To_v1beta3_OpenIDConnectConfig(a.(*kubeone.OpenIDConnectConfig), b.(*OpenIDConnectConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OpenstackSpec)(nil), (*kubeone.OpenstackSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_OpenstackSpec_To_kubeone_OpenstackSpec(a.(*OpenstackSpec), b.(*kubeone.OpenstackSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OpenstackSpec)(nil), (*OpenstackSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OpenstackSpec_To_v1beta3_OpenstackSpec(a.(*kubeone.OpenstackSpec), b.(*OpenstackSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OperatingSystemManagerConfig)(nil), (*kubeone.OperatingSystemManagerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_OperatingSystemManagerConfig_To_kubeone_OperatingSystemManagerConfig(a.(*OperatingSystemManagerConfig), b.(*kubeone.OperatingSystemManagerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OperatingSystemManagerConfig)(nil), (*OperatingSystemManagerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OperatingSystemManagerConfig_To_v1beta3_OperatingSystemManagerConfig(a.(*kubeone.OperatingSystemManagerConfig), b.(*OperatingSystemManagerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PodNodeSelector)(nil), (*kubeone.PodNodeSelector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_PodNodeSelector_To_kubeone_PodNodeSelector(a.(*PodNodeSelector), b.(*kubeone.PodNodeSelector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.PodNodeSelector)(nil), (*PodNodeSelector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_PodNodeSelector_To_v1beta3_PodNodeSelector(a.(*kubeone.PodNodeSelector), b.(*PodNodeSelector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PodNodeSelectorConfig)(nil), (*kubeone.PodNodeSelectorConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(a.(*PodNodeSelectorConfig), b.(*kubeone.PodNodeSelectorConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.PodNodeSelectorConfig)(nil), (*PodNodeSelectorConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_PodNodeSelectorConfig_To_v1beta3_PodNodeSelectorConfig(a.(*kubeone.PodNodeSelectorConfig), b.(*PodNodeSelectorConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ProviderSpec)(nil), (*kubeone.ProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ProviderSpec_To_kubeone_ProviderSpec(a.(*ProviderSpec), b.(*kubeone.ProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ProviderSpec)(nil), (*ProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ProviderSpec_To_v1beta3_ProviderSpec(a.(*kubeone.ProviderSpec), b.(*ProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ProviderStaticNetworkConfig)(nil), (*kubeone.ProviderStaticNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(a.(*ProviderStaticNetworkConfig), b.(*kubeone.ProviderStaticNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ProviderStaticNetworkConfig)(nil), (*ProviderStaticNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ProviderStaticNetworkConfig_To_v1beta3_ProviderStaticNetworkConfig(a.(*kubeone.ProviderStaticNetworkConfig), b.(*ProviderStaticNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ProxyConfig)(nil), (*kubeone.ProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ProxyConfig_To_kubeone_ProxyConfig(a.(*ProxyConfig), b.(*kubeone.ProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ProxyConfig)(nil), (*ProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ProxyConfig_To_v1beta3_ProxyConfig(a.(*kubeone.ProxyConfig), b.(*ProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RegistryConfiguration)(nil), (*kubeone.RegistryConfiguration)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_RegistryConfiguration_To_kubeone_RegistryConfiguration(a.(*RegistryConfiguration), b.(*kubeone.RegistryConfiguration), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.RegistryConfiguration)(nil), (*RegistryConfiguration)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_RegistryConfiguration_To_v1beta3_RegistryConfiguration(a.(*kubeone.RegistryConfiguration), b.(*RegistryConfiguration), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*StaticAuditLog)(nil), (*kubeone.StaticAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_StaticAuditLog_To_kubeone_StaticAuditLog(a.(*StaticAuditLog), b.(*kubeone.StaticAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.StaticAuditLog)(nil), (*StaticAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_StaticAuditLog_To_v1beta3_StaticAuditLog(a.(*kubeone.StaticAuditLog), b.(*StaticAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*StaticAuditLogConfig)(nil), (*kubeone.StaticAuditLogConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(a.(*StaticAuditLogConfig), b.(*kubeone.StaticAuditLogConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.StaticAuditLogConfig)(nil), (*StaticAuditLogConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_StaticAuditLogConfig_To_v1beta3_StaticAuditLogConfig(a.(*kubeone.StaticAuditLogConfig), b.(*StaticAuditLogConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*StaticWorkersConfig)(nil), (*kubeone.StaticWorkersConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(a.(*StaticWorkersConfig), b.(*kubeone.StaticWorkersConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.StaticWorkersConfig)(nil), (*StaticWorkersConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_StaticWorkersConfig_To_v1beta3_StaticWorkersConfig(a.(*kubeone.StaticWorkersConfig), b.(*StaticWorkersConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*SystemPackages)(nil), (*kubeone.SystemPackages)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_SystemPackages_To_kubeone_SystemPackages(a.(*SystemPackages), b.(*kubeone.SystemPackages), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.SystemPackages)(nil), (*SystemPackages)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_SystemPackages_To_v1beta3_SystemPackages(a.(*kubeone.SystemPackages), b.(*SystemPackages), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*TLSCipherSuites)(nil), (*kubeone.TLSCipherSuites)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_TLSCipherSuites_To_kubeone_TLSCipherSuites(a.(*TLSCipherSuites), b.(*kubeone.TLSCipherSuites), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.TLSCipherSuites)(nil), (*TLSCipherSuites)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_TLSCipherSuites_To_v1beta3_TLSCipherSuites(a.(*kubeone.TLSCipherSuites), b.(*TLSCipherSuites), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*VMwareCloudDirectorSpec)(nil), (*kubeone.VMwareCloudDirectorSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_VMwareCloudDirectorSpec_To_kubeone_VMwareCloudDirectorSpec(a.(*VMwareCloudDirectorSpec), b.(*kubeone.VMwareCloudDirectorSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.VMwareCloudDirectorSpec)(nil), (*VMwareCloudDirectorSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_VMwareCloudDirectorSpec_To_v1beta3_VMwareCloudDirectorSpec(a.(*kubeone.VMwareCloudDirectorSpec), b.(*VMwareCloudDirectorSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*VersionConfig)(nil), (*kubeone.VersionConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_VersionConfig_To_kubeone_VersionConfig(a.(*VersionConfig), b.(*kubeone.VersionConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.VersionConfig)(nil), (*VersionConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_VersionConfig_To_v1beta3_VersionConfig(a.(*kubeone.VersionConfig), b.(*VersionConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*VsphereSpec)(nil), (*kubeone.VsphereSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_VsphereSpec_To_kubeone_VsphereSpec(a.(*VsphereSpec), b.(*kubeone.VsphereSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.VsphereSpec)(nil), (*VsphereSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_VsphereSpec_To_v1beta3_VsphereSpec(a.(*kubeone.VsphereSpec), b.(*VsphereSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WeaveNetSpec)(nil), (*kubeone.WeaveNetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_WeaveNetSpec_To_kubeone_WeaveNetSpec(a.(*WeaveNetSpec), b.(*kubeone.WeaveNetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WeaveNetSpec)(nil), (*WeaveNetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WeaveNetSpec_To_v1beta3_WeaveNetSpec(a.(*kubeone.WeaveNetSpec), b.(*WeaveNetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WebHookAuditLogBatchConfig)(nil), (*kubeone.WebHookAuditLogBatchConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_WebHookAuditLogBatchConfig_To_kubeone_WebHookAuditLogBatchConfig(a.(*WebHookAuditLogBatchConfig), b.(*kubeone.WebHookAuditLogBatchConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WebHookAuditLogBatchConfig)(nil), (*WebHookAuditLogBatchConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WebHookAuditLogBatchConfig_To_v1beta3_WebHookAuditLogBatchConfig(a.(*kubeone.WebHookAuditLogBatchConfig), b.(*WebHookAuditLogBatchConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WebHookAuditLogThrottleConfig)(nil), (*kubeone.WebHookAuditLogThrottleConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_WebHookAuditLogThrottleConfig_To_kubeone_WebHookAuditLogThrottleConfig(a.(*WebHookAuditLogThrottleConfig), b.(*kubeone.WebHookAuditLogThrottleConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WebHookAuditLogThrottleConfig)(nil), (*WebHookAuditLogThrottleConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WebHookAuditLogThrottleConfig_To_v1beta3_WebHookAuditLogThrottleConfig(a.(*kubeone.WebHookAuditLogThrottleConfig), b.(*WebHookAuditLogThrottleConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WebHookAuditLogTruncateConfig)(nil), (*kubeone.WebHookAuditLogTruncateConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_WebHookAuditLogTruncateConfig_To_kubeone_WebHookAuditLogTruncateConfig(a.(*WebHookAuditLogTruncateConfig), b.(*kubeone.WebHookAuditLogTruncateConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WebHookAuditLogTruncateConfig)(nil), (*WebHookAuditLogTruncateConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WebHookAuditLogTruncateConfig_To_v1beta3_WebHookAuditLogTruncateConfig(a.(*kubeone.WebHookAuditLogTruncateConfig), b.(*WebHookAuditLogTruncateConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WebhookAuditLog)(nil), (*kubeone.WebhookAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_WebhookAuditLog_To_kubeone_WebhookAuditLog(a.(*WebhookAuditLog), b.(*kubeone.WebhookAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WebhookAuditLog)(nil), (*WebhookAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WebhookAuditLog_To_v1beta3_WebhookAuditLog(a.(*kubeone.WebhookAuditLog), b.(*WebhookAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WebhookAuditLogConfig)(nil), (*kubeone.WebhookAuditLogConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_WebhookAuditLogConfig_To_kubeone_WebhookAuditLogConfig(a.(*WebhookAuditLogConfig), b.(*kubeone.WebhookAuditLogConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WebhookAuditLogConfig)(nil), (*WebhookAuditLogConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WebhookAuditLogConfig_To_v1beta3_WebhookAuditLogConfig(a.(*kubeone.WebhookAuditLogConfig), b.(*WebhookAuditLogConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.CiliumSpec)(nil), (*CiliumSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CiliumSpec_To_v1beta3_CiliumSpec(a.(*kubeone.CiliumSpec), b.(*CiliumSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.KubeOneCluster)(nil), (*KubeOneCluster)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_KubeOneCluster_To_v1beta3_KubeOneCluster(a.(*kubeone.KubeOneCluster), b.(*KubeOneCluster), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*CiliumSpec)(nil), (*kubeone.CiliumSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_CiliumSpec_To_kubeone_CiliumSpec(a.(*CiliumSpec), b.(*kubeone.CiliumSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*ContainerRuntimeConfig)(nil), (*kubeone.ContainerRuntimeConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta3_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(a.(*ContainerRuntimeConfig), b.(*kubeone.ContainerRuntimeConfig), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1beta3_APIEndpoint_To_kubeone_APIEndpoint(in *APIEndpoint, out *kubeone.APIEndpoint, s conversion.Scope) error {
	out.Host = in.Host
	out.Port = in.Port
	out.AlternativeNames = *(*[]string)(unsafe.Pointer(&in.AlternativeNames))
	return nil
}

// Convert_v1beta3_APIEndpoint_To_kubeone_APIEndpoint is an autogenerated conversion function.
func Convert_v1beta3_APIEndpoint_To_kubeone_APIEndpoint(in *APIEndpoint, out *kubeone.APIEndpoint, s conversion.Scope) error {
	return autoConvert_v1beta3_APIEndpoint_To_kubeone_APIEndpoint(in, out, s)
}

func autoConvert_kubeone_APIEndpoint_To_v1beta3_APIEndpoint(in *kubeone.APIEndpoint, out *APIEndpoint, s conversion.Scope) error {
	out.Host = in.Host
	out.Port = in.Port
	out.AlternativeNames = *(*[]string)(unsafe.Pointer(&in.AlternativeNames))
	return nil
}

// Convert_kubeone_APIEndpoint_To_v1beta3_APIEndpoint is an autogenerated conversion function.
func Convert_kubeone_APIEndpoint_To_v1beta3_APIEndpoint(in *kubeone.APIEndpoint, out *APIEndpoint, s conversion.Scope) error {
	return autoConvert_kubeone_APIEndpoint_To_v1beta3_APIEndpoint(in, out, s)
}

func autoConvert_v1beta3_AWSSpec_To_kubeone_AWSSpec(in *AWSSpec, out *kubeone.AWSSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_AWSSpec_To_kubeone_AWSSpec is an autogenerated conversion function.
func Convert_v1beta3_AWSSpec_To_kubeone_AWSSpec(in *AWSSpec, out *kubeone.AWSSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_AWSSpec_To_kubeone_AWSSpec(in, out, s)
}

func autoConvert_kubeone_AWSSpec_To_v1beta3_AWSSpec(in *kubeone.AWSSpec, out *AWSSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_AWSSpec_To_v1beta3_AWSSpec is an autogenerated conversion function.
func Convert_kubeone_AWSSpec_To_v1beta3_AWSSpec(in *kubeone.AWSSpec, out *AWSSpec, s conversion.Scope) error {
	return autoConvert_kubeone_AWSSpec_To_v1beta3_AWSSpec(in, out, s)
}

func autoConvert_v1beta3_Addon_To_kubeone_Addon(in *Addon, out *kubeone.Addon, s conversion.Scope) error {
	out.Name = in.Name
	out.Params = *(*map[string]string)(unsafe.Pointer(&in.Params))
	out.DisableTemplating = in.DisableTemplating
	out.Delete = in.Delete
	return nil
}

// Convert_v1beta3_Addon_To_kubeone_Addon is an autogenerated conversion function.
func Convert_v1beta3_Addon_To_kubeone_Addon(in *Addon, out *kubeone.Addon, s conversion.Scope) error {
	return autoConvert_v1beta3_Addon_To_kubeone_Addon(in, out, s)
}

func autoConvert_kubeone_Addon_To_v1beta3_Addon(in *kubeone.Addon, out *Addon, s conversion.Scope) error {
	out.Name = in.Name
	out.Params = *(*map[string]string)(unsafe.Pointer(&in.Params))
	out.DisableTemplating = in.DisableTemplating
	out.Delete = in.Delete
	return nil
}

// Convert_kubeone_Addon_To_v1beta3_Addon is an autogenerated conversion function.
func Convert_kubeone_Addon_To_v1beta3_Addon(in *kubeone.Addon, out *Addon, s conversion.Scope) error {
	return autoConvert_kubeone_Addon_To_v1beta3_Addon(in, out, s)
}

func autoConvert_v1beta3_AddonRef_To_kubeone_AddonRef(in *AddonRef, out *kubeone.AddonRef, s conversion.Scope) error {
	out.Addon = (*kubeone.Addon)(unsafe.Pointer(in.Addon))
	out.HelmRelease = (*kubeone.HelmRelease)(unsafe.Pointer(in.HelmRelease))
	return nil
}

// Convert_v1beta3_AddonRef_To_kubeone_AddonRef is an autogenerated conversion function.
func Convert_v1beta3_AddonRef_To_kubeone_AddonRef(in *AddonRef, out *kubeone.AddonRef, s conversion.Scope) error {
	return autoConvert_v1beta3_AddonRef_To_kubeone_AddonRef(in, out, s)
}

func autoConvert_kubeone_AddonRef_To_v1beta3_AddonRef(in *kubeone.AddonRef, out *AddonRef, s conversion.Scope) error {
	out.Addon = (*Addon)(unsafe.Pointer(in.Addon))
	out.HelmRelease = (*HelmRelease)(unsafe.Pointer(in.HelmRelease))
	return nil
}

// Convert_kubeone_AddonRef_To_v1beta3_AddonRef is an autogenerated conversion function.
func Convert_kubeone_AddonRef_To_v1beta3_AddonRef(in *kubeone.AddonRef, out *AddonRef, s conversion.Scope) error {
	return autoConvert_kubeone_AddonRef_To_v1beta3_AddonRef(in, out, s)
}

func autoConvert_v1beta3_Addons_To_kubeone_Addons(in *Addons, out *kubeone.Addons, s conversion.Scope) error {
	out.Path = in.Path
	out.Addons = *(*[]kubeone.AddonRef)(unsafe.Pointer(&in.Addons))
	return nil
}

// Convert_v1beta3_Addons_To_kubeone_Addons is an autogenerated conversion function.
func Convert_v1beta3_Addons_To_kubeone_Addons(in *Addons, out *kubeone.Addons, s conversion.Scope) error {
	return autoConvert_v1beta3_Addons_To_kubeone_Addons(in, out, s)
}

func autoConvert_kubeone_Addons_To_v1beta3_Addons(in *kubeone.Addons, out *Addons, s conversion.Scope) error {
	out.Path = in.Path
	out.Addons = *(*[]AddonRef)(unsafe.Pointer(&in.Addons))
	return nil
}

// Convert_kubeone_Addons_To_v1beta3_Addons is an autogenerated conversion function.
func Convert_kubeone_Addons_To_v1beta3_Addons(in *kubeone.Addons, out *Addons, s conversion.Scope) error {
	return autoConvert_kubeone_Addons_To_v1beta3_Addons(in, out, s)
}

func autoConvert_v1beta3_AzureSpec_To_kubeone_AzureSpec(in *AzureSpec, out *kubeone.AzureSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_AzureSpec_To_kubeone_AzureSpec is an autogenerated conversion function.
func Convert_v1beta3_AzureSpec_To_kubeone_AzureSpec(in *AzureSpec, out *kubeone.AzureSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_AzureSpec_To_kubeone_AzureSpec(in, out, s)
}

func autoConvert_kubeone_AzureSpec_To_v1beta3_AzureSpec(in *kubeone.AzureSpec, out *AzureSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_AzureSpec_To_v1beta3_AzureSpec is an autogenerated conversion function.
func Convert_kubeone_AzureSpec_To_v1beta3_AzureSpec(in *kubeone.AzureSpec, out *AzureSpec, s conversion.Scope) error {
	return autoConvert_kubeone_AzureSpec_To_v1beta3_AzureSpec(in, out, s)
}

func autoConvert_v1beta3_CNI_To_kubeone_CNI(in *CNI, out *kubeone.CNI, s conversion.Scope) error {
	out.Canal = (*kubeone.CanalSpec)(unsafe.Pointer(in.Canal))
	if in.Cilium != nil {
		in, out := &in.Cilium, &out.Cilium
		*out = new(kubeone.CiliumSpec)
		if err := Convert_v1beta3_CiliumSpec_To_kubeone_CiliumSpec(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Cilium = nil
	}
	out.WeaveNet = (*kubeone.WeaveNetSpec)(unsafe.Pointer(in.WeaveNet))
	out.External = (*kubeone.ExternalCNISpec)(unsafe.Pointer(in.External))
	return nil
}

// Convert_v1beta3_CNI_To_kubeone_CNI is an autogenerated conversion function.
func Convert_v1beta3_CNI_To_kubeone_CNI(in *CNI, out *kubeone.CNI, s conversion.Scope) error {
	return autoConvert_v1beta3_CNI_To_kubeone_CNI(in, out, s)
}

func autoConvert_kubeone_CNI_To_v1beta3_CNI(in *kubeone.CNI, out *CNI, s conversion.Scope) error {
	out.Canal = (*CanalSpec)(unsafe.Pointer(in.Canal))
	if in.Cilium != nil {
		in, out := &in.Cilium, &out.Cilium
		*out = new(CiliumSpec)
		if err := Convert_kubeone_CiliumSpec_To_v1beta3_CiliumSpec(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Cilium = nil
	}
	out.WeaveNet = (*WeaveNetSpec)(unsafe.Pointer(in.WeaveNet))
	out.External = (*ExternalCNISpec)(unsafe.Pointer(in.External))
	return nil
}

// Convert_kubeone_CNI_To_v1beta3_CNI is an autogenerated conversion function.
func Convert_kubeone_CNI_To_v1beta3_CNI(in *kubeone.CNI, out *CNI, s conversion.Scope) error {
	return autoConvert_kubeone_CNI_To_v1beta3_CNI(in, out, s)
}

func autoConvert_v1beta3_CanalSpec_To_kubeone_CanalSpec(in *CanalSpec, out *kubeone.CanalSpec, s conversion.Scope) error {
	out.MTU = in.MTU
	return nil
}

// Convert_v1beta3_CanalSpec_To_kubeone_CanalSpec is an autogenerated conversion function.
func Convert_v1beta3_CanalSpec_To_kubeone_CanalSpec(in *CanalSpec, out *kubeone.CanalSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_CanalSpec_To_kubeone_CanalSpec(in, out, s)
}

func autoConvert_kubeone_CanalSpec_To_v1beta3_CanalSpec(in *kubeone.CanalSpec, out *CanalSpec, s conversion.Scope) error {
	out.MTU = in.MTU
	return nil
}

// Convert_kubeone_CanalSpec_To_v1beta3_CanalSpec is an autogenerated conversion function.
func Convert_kubeone_CanalSpec_To_v1beta3_CanalSpec(in *kubeone.CanalSpec, out *CanalSpec, s conversion.Scope) error {
	return autoConvert_kubeone_CanalSpec_To_v1beta3_CanalSpec(in, out, s)
}

func autoConvert_v1beta3_CiliumSpec_To_kubeone_CiliumSpec(in *CiliumSpec, out *kubeone.CiliumSpec, s conversion.Scope) error {
	out.KubeProxyReplacement = in.KubeProxyReplacement
	out.EnableHubble = in.EnableHubble
	return nil
}

func autoConvert_kubeone_CiliumSpec_To_v1beta3_CiliumSpec(in *kubeone.CiliumSpec, out *CiliumSpec, s conversion.Scope) error {
	// INFO: in.KubeProxyReplacement opted out of conversion generation
	out.EnableHubble = in.EnableHubble
	return nil
}

func autoConvert_v1beta3_CloudProviderSpec_To_kubeone_CloudProviderSpec(in *CloudProviderSpec, out *kubeone.CloudProviderSpec, s conversion.Scope) error {
	out.External = in.External
	out.DisableBundledCSIDrivers = in.DisableBundledCSIDrivers
	out.CloudConfig = in.CloudConfig
	out.CSIConfig = in.CSIConfig
	out.SecretProviderClassName = in.SecretProviderClassName
	out.AWS = (*kubeone.AWSSpec)(unsafe.Pointer(in.AWS))
	out.Azure = (*kubeone.AzureSpec)(unsafe.Pointer(in.Azure))
	out.DigitalOcean = (*kubeone.DigitalOceanSpec)(unsafe.Pointer(in.DigitalOcean))
	out.GCE = (*kubeone.GCESpec)(unsafe.Pointer(in.GCE))
	out.Hetzner = (*kubeone.HetznerSpec)(unsafe.Pointer(in.Hetzner))
	out.Kubevirt = (*kubeone.KubevirtSpec)(unsafe.Pointer(in.Kubevirt))
	out.Nutanix = (*kubeone.NutanixSpec)(unsafe.Pointer(in.Nutanix))
	out.Openstack = (*kubeone.OpenstackSpec)(unsafe.Pointer(in.Openstack))
	out.EquinixMetal = (*kubeone.EquinixMetalSpec)(unsafe.Pointer(in.EquinixMetal))
	out.VMwareCloudDirector = (*kubeone.VMwareCloudDirectorSpec)(unsafe.Pointer(in.VMwareCloudDirector))
	out.Vsphere = (*kubeone.VsphereSpec)(unsafe.Pointer(in.Vsphere))
	out.None = (*kubeone.NoneSpec)(unsafe.Pointer(in.None))
	return nil
}

// Convert_v1beta3_CloudProviderSpec_To_kubeone_CloudProviderSpec is an autogenerated conversion function.
func Convert_v1beta3_CloudProviderSpec_To_kubeone_CloudProviderSpec(in *CloudProviderSpec, out *kubeone.CloudProviderSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_CloudProviderSpec_To_kubeone_CloudProviderSpec(in, out, s)
}

func autoConvert_kubeone_CloudProviderSpec_To_v1beta3_CloudProviderSpec(in *kubeone.CloudProviderSpec, out *CloudProviderSpec, s conversion.Scope) error {
	out.External = in.External
	out.DisableBundledCSIDrivers = in.DisableBundledCSIDrivers
	out.CloudConfig = in.CloudConfig
	out.CSIConfig = in.CSIConfig
	out.SecretProviderClassName = in.SecretProviderClassName
	out.AWS = (*AWSSpec)(unsafe.Pointer(in.AWS))
	out.Azure = (*AzureSpec)(unsafe.Pointer(in.Azure))
	out.DigitalOcean = (*DigitalOceanSpec)(unsafe.Pointer(in.DigitalOcean))
	out.GCE = (*GCESpec)(unsafe.Pointer(in.GCE))
	out.Hetzner = (*HetznerSpec)(unsafe.Pointer(in.Hetzner))
	out.Kubevirt = (*KubevirtSpec)(unsafe.Pointer(in.Kubevirt))
	out.Nutanix = (*NutanixSpec)(unsafe.Pointer(in.Nutanix))
	out.Openstack = (*OpenstackSpec)(unsafe.Pointer(in.Openstack))
	out.EquinixMetal = (*EquinixMetalSpec)(unsafe.Pointer(in.EquinixMetal))
	out.VMwareCloudDirector = (*VMwareCloudDirectorSpec)(unsafe.Pointer(in.VMwareCloudDirector))
	out.Vsphere = (*VsphereSpec)(unsafe.Pointer(in.Vsphere))
	out.None = (*NoneSpec)(unsafe.Pointer(in.None))
	return nil
}

// Convert_kubeone_CloudProviderSpec_To_v1beta3_CloudProviderSpec is an autogenerated conversion function.
func Convert_kubeone_CloudProviderSpec_To_v1beta3_CloudProviderSpec(in *kubeone.CloudProviderSpec, out *CloudProviderSpec, s conversion.Scope) error {
	return autoConvert_kubeone_CloudProviderSpec_To_v1beta3_CloudProviderSpec(in, out, s)
}

func autoConvert_v1beta3_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(in *ClusterNetworkConfig, out *kubeone.ClusterNetworkConfig, s conversion.Scope) error {
	out.PodSubnet = in.PodSubnet
	out.PodSubnetIPv6 = in.PodSubnetIPv6
	out.ServiceSubnet = in.ServiceSubnet
	out.ServiceSubnetIPv6 = in.ServiceSubnetIPv6
	out.ServiceDomainName = in.ServiceDomainName
	out.NodePortRange = in.NodePortRange
	if in.CNI != nil {
		in, out := &in.CNI, &out.CNI
		*out = new(kubeone.CNI)
		if err := Convert_v1beta3_CNI_To_kubeone_CNI(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.CNI = nil
	}
	out.KubeProxy = (*kubeone.KubeProxyConfig)(unsafe.Pointer(in.KubeProxy))
	out.IPFamily = kubeone.IPFamily(in.IPFamily)
	out.NodeCIDRMaskSizeIPv4 = (*int)(unsafe.Pointer(in.NodeCIDRMaskSizeIPv4))
	out.NodeCIDRMaskSizeIPv6 = (*int)(unsafe.Pointer(in.NodeCIDRMaskSizeIPv6))
	return nil
}

// Convert_v1beta3_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig is an autogenerated conversion function.
func Convert_v1beta3_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(in *ClusterNetworkConfig, out *kubeone.ClusterNetworkConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(in, out, s)
}

func autoConvert_kubeone_ClusterNetworkConfig_To_v1beta3_ClusterNetworkConfig(in *kubeone.ClusterNetworkConfig, out *ClusterNetworkConfig, s conversion.Scope) error {
	out.PodSubnet = in.PodSubnet
	out.PodSubnetIPv6 = in.PodSubnetIPv6
	out.ServiceSubnet = in.ServiceSubnet
	out.ServiceSubnetIPv6 = in.ServiceSubnetIPv6
	out.ServiceDomainName = in.ServiceDomainName
	out.NodePortRange = in.NodePortRange
	if in.CNI != nil {
		in, out := &in.CNI, &out.CNI
		*out = new(CNI)
		if err := Convert_kubeone_CNI_To_v1beta3_CNI(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.CNI = nil
	}
	out.KubeProxy = (*KubeProxyConfig)(unsafe.Pointer(in.KubeProxy))
	out.IPFamily = IPFamily(in.IPFamily)
	out.NodeCIDRMaskSizeIPv4 = (*int)(unsafe.Pointer(in.NodeCIDRMaskSizeIPv4))
	out.NodeCIDRMaskSizeIPv6 = (*int)(unsafe.Pointer(in.NodeCIDRMaskSizeIPv6))
	return nil
}

// Convert_kubeone_ClusterNetworkConfig_To_v1beta3_ClusterNetworkConfig is an autogenerated conversion function.
func Convert_kubeone_ClusterNetworkConfig_To_v1beta3_ClusterNetworkConfig(in *kubeone.ClusterNetworkConfig, out *ClusterNetworkConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ClusterNetworkConfig_To_v1beta3_ClusterNetworkConfig(in, out, s)
}

func autoConvert_v1beta3_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(in *ContainerRuntimeConfig, out *kubeone.ContainerRuntimeConfig, s conversion.Scope) error {
	out.Containerd = (*kubeone.ContainerRuntimeContainerd)(unsafe.Pointer(in.Containerd))
	return nil
}

func autoConvert_kubeone_ContainerRuntimeConfig_To_v1beta3_ContainerRuntimeConfig(in *kubeone.ContainerRuntimeConfig, out *ContainerRuntimeConfig, s conversion.Scope) error {
	out.Containerd = (*ContainerRuntimeContainerd)(unsafe.Pointer(in.Containerd))
	return nil
}

// Convert_kubeone_ContainerRuntimeConfig_To_v1beta3_ContainerRuntimeConfig is an autogenerated conversion function.
func Convert_kubeone_ContainerRuntimeConfig_To_v1beta3_ContainerRuntimeConfig(in *kubeone.ContainerRuntimeConfig, out *ContainerRuntimeConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ContainerRuntimeConfig_To_v1beta3_ContainerRuntimeConfig(in, out, s)
}

func autoConvert_v1beta3_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(in *ContainerRuntimeContainerd, out *kubeone.ContainerRuntimeContainerd, s conversion.Scope) error {
	out.Registries = *(*map[string]kubeone.ContainerdRegistry)(unsafe.Pointer(&in.Registries))
	out.DeviceOwnershipFromSecurityContext = (*bool)(unsafe.Pointer(in.DeviceOwnershipFromSecurityContext))
	return nil
}

// Convert_v1beta3_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd is an autogenerated conversion function.
func Convert_v1beta3_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(in *ContainerRuntimeContainerd, out *kubeone.ContainerRuntimeContainerd, s conversion.Scope) error {
	return autoConvert_v1beta3_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(in, out, s)
}

func autoConvert_kubeone_ContainerRuntimeContainerd_To_v1beta3_ContainerRuntimeContainerd(in *kubeone.ContainerRuntimeContainerd, out *ContainerRuntimeContainerd, s conversion.Scope) error {
	out.Registries = *(*map[string]ContainerdRegistry)(unsafe.Pointer(&in.Registries))
	out.DeviceOwnershipFromSecurityContext = (*bool)(unsafe.Pointer(in.DeviceOwnershipFromSecurityContext))
	return nil
}

// Convert_kubeone_ContainerRuntimeContainerd_To_v1beta3_ContainerRuntimeContainerd is an autogenerated conversion function.
func Convert_kubeone_ContainerRuntimeContainerd_To_v1beta3_ContainerRuntimeContainerd(in *kubeone.ContainerRuntimeContainerd, out *ContainerRuntimeContainerd, s conversion.Scope) error {
	return autoConvert_kubeone_ContainerRuntimeContainerd_To_v1beta3_ContainerRuntimeContainerd(in, out, s)
}

func autoConvert_v1beta3_ContainerdRegistry_To_kubeone_ContainerdRegistry(in *ContainerdRegistry, out *kubeone.ContainerdRegistry, s conversion.Scope) error {
	out.Mirrors = *(*[]string)(unsafe.Pointer(&in.Mirrors))
	out.TLSConfig = (*kubeone.ContainerdTLSConfig)(unsafe.Pointer(in.TLSConfig))
	out.Auth = (*kubeone.ContainerdRegistryAuthConfig)(unsafe.Pointer(in.Auth))
	return nil
}

// Convert_v1beta3_ContainerdRegistry_To_kubeone_ContainerdRegistry is an autogenerated conversion function.
func Convert_v1beta3_ContainerdRegistry_To_kubeone_ContainerdRegistry(in *ContainerdRegistry, out *kubeone.ContainerdRegistry, s conversion.Scope) error {
	return autoConvert_v1beta3_ContainerdRegistry_To_kubeone_ContainerdRegistry(in, out, s)
}

func autoConvert_kubeone_ContainerdRegistry_To_v1beta3_ContainerdRegistry(in *kubeone.ContainerdRegistry, out *ContainerdRegistry, s conversion.Scope) error {
	out.Mirrors = *(*[]string)(unsafe.Pointer(&in.Mirrors))
	out.TLSConfig = (*ContainerdTLSConfig)(unsafe.Pointer(in.TLSConfig))
	out.Auth = (*ContainerdRegistryAuthConfig)(unsafe.Pointer(in.Auth))
	return nil
}

// Convert_kubeone_ContainerdRegistry_To_v1beta3_ContainerdRegistry is an autogenerated conversion function.
func Convert_kubeone_ContainerdRegistry_To_v1beta3_ContainerdRegistry(in *kubeone.ContainerdRegistry, out *ContainerdRegistry, s conversion.Scope) error {
	return autoConvert_kubeone_ContainerdRegistry_To_v1beta3_ContainerdRegistry(in, out, s)
}

func autoConvert_v1beta3_ContainerdRegistryAuthConfig_To_kubeone_ContainerdRegistryAuthConfig(in *ContainerdRegistryAuthConfig, out *kubeone.ContainerdRegistryAuthConfig, s conversion.Scope) error {
	out.Username = in.Username
	out.Password = in.Password
	out.Auth = in.Auth
	out.IdentityToken = in.IdentityToken
	return nil
}

// Convert_v1beta3_ContainerdRegistryAuthConfig_To_kubeone_ContainerdRegistryAuthConfig is an autogenerated conversion function.
func Convert_v1beta3_ContainerdRegistryAuthConfig_To_kubeone_ContainerdRegistryAuthConfig(in *ContainerdRegistryAuthConfig, out *kubeone.ContainerdRegistryAuthConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ContainerdRegistryAuthConfig_To_kubeone_ContainerdRegistryAuthConfig(in, out, s)
}

func autoConvert_kubeone_ContainerdRegistryAuthConfig_To_v1beta3_ContainerdRegistryAuthConfig(in *kubeone.ContainerdRegistryAuthConfig, out *ContainerdRegistryAuthConfig, s conversion.Scope) error {
	out.Username = in.Username
	out.Password = in.Password
	out.Auth = in.Auth
	out.IdentityToken = in.IdentityToken
	return nil
}

// Convert_kubeone_ContainerdRegistryAuthConfig_To_v1beta3_ContainerdRegistryAuthConfig is an autogenerated conversion function.
func Convert_kubeone_ContainerdRegistryAuthConfig_To_v1beta3_ContainerdRegistryAuthConfig(in *kubeone.ContainerdRegistryAuthConfig, out *ContainerdRegistryAuthConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ContainerdRegistryAuthConfig_To_v1beta3_ContainerdRegistryAuthConfig(in, out, s)
}

func autoConvert_v1beta3_ContainerdTLSConfig_To_kubeone_ContainerdTLSConfig(in *ContainerdTLSConfig, out *kubeone.ContainerdTLSConfig, s conversion.Scope) error {
	out.InsecureSkipVerify = in.InsecureSkipVerify
	return nil
}

// Convert_v1beta3_ContainerdTLSConfig_To_kubeone_ContainerdTLSConfig is an autogenerated conversion function.
func Convert_v1beta3_ContainerdTLSConfig_To_kubeone_ContainerdTLSConfig(in *ContainerdTLSConfig, out *kubeone.ContainerdTLSConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ContainerdTLSConfig_To_kubeone_ContainerdTLSConfig(in, out, s)
}

func autoConvert_kubeone_ContainerdTLSConfig_To_v1beta3_ContainerdTLSConfig(in *kubeone.ContainerdTLSConfig, out *ContainerdTLSConfig, s conversion.Scope) error {
	out.InsecureSkipVerify = in.InsecureSkipVerify
	return nil
}

// Convert_kubeone_ContainerdTLSConfig_To_v1beta3_ContainerdTLSConfig is an autogenerated conversion function.
func Convert_kubeone_ContainerdTLSConfig_To_v1beta3_ContainerdTLSConfig(in *kubeone.ContainerdTLSConfig, out *ContainerdTLSConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ContainerdTLSConfig_To_v1beta3_ContainerdTLSConfig(in, out, s)
}

func autoConvert_v1beta3_ControlPlaneComponentConfig_To_kubeone_ControlPlaneComponentConfig(in *ControlPlaneComponentConfig, out *kubeone.ControlPlaneComponentConfig, s conversion.Scope) error {
	out.Flags = *(*map[string]string)(unsafe.Pointer(&in.Flags))
	out.FeatureGates = *(*map[string]bool)(unsafe.Pointer(&in.FeatureGates))
	return nil
}

// Convert_v1beta3_ControlPlaneComponentConfig_To_kubeone_ControlPlaneComponentConfig is an autogenerated conversion function.
func Convert_v1beta3_ControlPlaneComponentConfig_To_kubeone_ControlPlaneComponentConfig(in *ControlPlaneComponentConfig, out *kubeone.ControlPlaneComponentConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ControlPlaneComponentConfig_To_kubeone_ControlPlaneComponentConfig(in, out, s)
}

func autoConvert_kubeone_ControlPlaneComponentConfig_To_v1beta3_ControlPlaneComponentConfig(in *kubeone.ControlPlaneComponentConfig, out *ControlPlaneComponentConfig, s conversion.Scope) error {
	out.Flags = *(*map[string]string)(unsafe.Pointer(&in.Flags))
	out.FeatureGates = *(*map[string]bool)(unsafe.Pointer(&in.FeatureGates))
	return nil
}

// Convert_kubeone_ControlPlaneComponentConfig_To_v1beta3_ControlPlaneComponentConfig is an autogenerated conversion function.
func Convert_kubeone_ControlPlaneComponentConfig_To_v1beta3_ControlPlaneComponentConfig(in *kubeone.ControlPlaneComponentConfig, out *ControlPlaneComponentConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ControlPlaneComponentConfig_To_v1beta3_ControlPlaneComponentConfig(in, out, s)
}

func autoConvert_v1beta3_ControlPlaneComponents_To_kubeone_ControlPlaneComponents(in *ControlPlaneComponents, out *kubeone.ControlPlaneComponents, s conversion.Scope) error {
	out.ControllerManager = (*kubeone.ControlPlaneComponentConfig)(unsafe.Pointer(in.ControllerManager))
	out.Scheduler = (*kubeone.ControlPlaneComponentConfig)(unsafe.Pointer(in.Scheduler))
	out.APIServer = (*kubeone.ControlPlaneComponentConfig)(unsafe.Pointer(in.APIServer))
	return nil
}

// Convert_v1beta3_ControlPlaneComponents_To_kubeone_ControlPlaneComponents is an autogenerated conversion function.
func Convert_v1beta3_ControlPlaneComponents_To_kubeone_ControlPlaneComponents(in *ControlPlaneComponents, out *kubeone.ControlPlaneComponents, s conversion.Scope) error {
	return autoConvert_v1beta3_ControlPlaneComponents_To_kubeone_ControlPlaneComponents(in, out, s)
}

func autoConvert_kubeone_ControlPlaneComponents_To_v1beta3_ControlPlaneComponents(in *kubeone.ControlPlaneComponents, out *ControlPlaneComponents, s conversion.Scope) error {
	out.ControllerManager = (*ControlPlaneComponentConfig)(unsafe.Pointer(in.ControllerManager))
	out.Scheduler = (*ControlPlaneComponentConfig)(unsafe.Pointer(in.Scheduler))
	out.APIServer = (*ControlPlaneComponentConfig)(unsafe.Pointer(in.APIServer))
	return nil
}

// Convert_kubeone_ControlPlaneComponents_To_v1beta3_ControlPlaneComponents is an autogenerated conversion function.
func Convert_kubeone_ControlPlaneComponents_To_v1beta3_ControlPlaneComponents(in *kubeone.ControlPlaneComponents, out *ControlPlaneComponents, s conversion.Scope) error {
	return autoConvert_kubeone_ControlPlaneComponents_To_v1beta3_ControlPlaneComponents(in, out, s)
}

func autoConvert_v1beta3_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(in *ControlPlaneConfig, out *kubeone.ControlPlaneConfig, s conversion.Scope) error {
	out.Hosts = *(*[]kubeone.HostConfig)(unsafe.Pointer(&in.Hosts))
	return nil
}

// Convert_v1beta3_ControlPlaneConfig_To_kubeone_ControlPlaneConfig is an autogenerated conversion function.
func Convert_v1beta3_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(in *ControlPlaneConfig, out *kubeone.ControlPlaneConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(in, out, s)
}

func autoConvert_kubeone_ControlPlaneConfig_To_v1beta3_ControlPlaneConfig(in *kubeone.ControlPlaneConfig, out *ControlPlaneConfig, s conversion.Scope) error {
	out.Hosts = *(*[]HostConfig)(unsafe.Pointer(&in.Hosts))
	return nil
}

// Convert_kubeone_ControlPlaneConfig_To_v1beta3_ControlPlaneConfig is an autogenerated conversion function.
func Convert_kubeone_ControlPlaneConfig_To_v1beta3_ControlPlaneConfig(in *kubeone.ControlPlaneConfig, out *ControlPlaneConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ControlPlaneConfig_To_v1beta3_ControlPlaneConfig(in, out, s)
}

func autoConvert_v1beta3_CoreDNS_To_kubeone_CoreDNS(in *CoreDNS, out *kubeone.CoreDNS, s conversion.Scope) error {
	out.Replicas = (*int32)(unsafe.Pointer(in.Replicas))
	out.DeployPodDisruptionBudget = (*bool)(unsafe.Pointer(in.DeployPodDisruptionBudget))
	out.ImageRepository = in.ImageRepository
	return nil
}

// Convert_v1beta3_CoreDNS_To_kubeone_CoreDNS is an autogenerated conversion function.
func Convert_v1beta3_CoreDNS_To_kubeone_CoreDNS(in *CoreDNS, out *kubeone.CoreDNS, s conversion.Scope) error {
	return autoConvert_v1beta3_CoreDNS_To_kubeone_CoreDNS(in, out, s)
}

func autoConvert_kubeone_CoreDNS_To_v1beta3_CoreDNS(in *kubeone.CoreDNS, out *CoreDNS, s conversion.Scope) error {
	out.Replicas = (*int32)(unsafe.Pointer(in.Replicas))
	out.DeployPodDisruptionBudget = (*bool)(unsafe.Pointer(in.DeployPodDisruptionBudget))
	out.ImageRepository = in.ImageRepository
	return nil
}

// Convert_kubeone_CoreDNS_To_v1beta3_CoreDNS is an autogenerated conversion function.
func Convert_kubeone_CoreDNS_To_v1beta3_CoreDNS(in *kubeone.CoreDNS, out *CoreDNS, s conversion.Scope) error {
	return autoConvert_kubeone_CoreDNS_To_v1beta3_CoreDNS(in, out, s)
}

func autoConvert_v1beta3_DNSConfig_To_kubeone_DNSConfig(in *DNSConfig, out *kubeone.DNSConfig, s conversion.Scope) error {
	out.Servers = *(*[]string)(unsafe.Pointer(&in.Servers))
	return nil
}

// Convert_v1beta3_DNSConfig_To_kubeone_DNSConfig is an autogenerated conversion function.
func Convert_v1beta3_DNSConfig_To_kubeone_DNSConfig(in *DNSConfig, out *kubeone.DNSConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_DNSConfig_To_kubeone_DNSConfig(in, out, s)
}

func autoConvert_kubeone_DNSConfig_To_v1beta3_DNSConfig(in *kubeone.DNSConfig, out *DNSConfig, s conversion.Scope) error {
	out.Servers = *(*[]string)(unsafe.Pointer(&in.Servers))
	return nil
}

// Convert_kubeone_DNSConfig_To_v1beta3_DNSConfig is an autogenerated conversion function.
func Convert_kubeone_DNSConfig_To_v1beta3_DNSConfig(in *kubeone.DNSConfig, out *DNSConfig, s conversion.Scope) error {
	return autoConvert_kubeone_DNSConfig_To_v1beta3_DNSConfig(in, out, s)
}

func autoConvert_v1beta3_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(in *DigitalOceanSpec, out *kubeone.DigitalOceanSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_DigitalOceanSpec_To_kubeone_DigitalOceanSpec is an autogenerated conversion function.
func Convert_v1beta3_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(in *DigitalOceanSpec, out *kubeone.DigitalOceanSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(in, out, s)
}

func autoConvert_kubeone_DigitalOceanSpec_To_v1beta3_DigitalOceanSpec(in *kubeone.DigitalOceanSpec, out *DigitalOceanSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_DigitalOceanSpec_To_v1beta3_DigitalOceanSpec is an autogenerated conversion function.
func Convert_kubeone_DigitalOceanSpec_To_v1beta3_DigitalOceanSpec(in *kubeone.DigitalOceanSpec, out *DigitalOceanSpec, s conversion.Scope) error {
	return autoConvert_kubeone_DigitalOceanSpec_To_v1beta3_DigitalOceanSpec(in, out, s)
}

func autoConvert_v1beta3_DynamicAuditLog_To_kubeone_DynamicAuditLog(in *DynamicAuditLog, out *kubeone.DynamicAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_v1beta3_DynamicAuditLog_To_kubeone_DynamicAuditLog is an autogenerated conversion function.
func Convert_v1beta3_DynamicAuditLog_To_kubeone_DynamicAuditLog(in *DynamicAuditLog, out *kubeone.DynamicAuditLog, s conversion.Scope) error {
	return autoConvert_v1beta3_DynamicAuditLog_To_kubeone_DynamicAuditLog(in, out, s)
}

func autoConvert_kubeone_DynamicAuditLog_To_v1beta3_DynamicAuditLog(in *kubeone.DynamicAuditLog, out *DynamicAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_kubeone_DynamicAuditLog_To_v1beta3_DynamicAuditLog is an autogenerated conversion function.
func Convert_kubeone_DynamicAuditLog_To_v1beta3_DynamicAuditLog(in *kubeone.DynamicAuditLog, out *DynamicAuditLog, s conversion.Scope) error {
	return autoConvert_kubeone_DynamicAuditLog_To_v1beta3_DynamicAuditLog(in, out, s)
}

func autoConvert_v1beta3_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(in *DynamicWorkerConfig, out *kubeone.DynamicWorkerConfig, s conversion.Scope) error {
	out.Name = in.Name
	out.Replicas = (*int)(unsafe.Pointer(in.Replicas))
	if err := Convert_v1beta3_ProviderSpec_To_kubeone_ProviderSpec(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig is an autogenerated conversion function.
func Convert_v1beta3_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(in *DynamicWorkerConfig, out *kubeone.DynamicWorkerConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(in, out, s)
}

func autoConvert_kubeone_DynamicWorkerConfig_To_v1beta3_DynamicWorkerConfig(in *kubeone.DynamicWorkerConfig, out *DynamicWorkerConfig, s conversion.Scope) error {
	out.Name = in.Name
	out.Replicas = (*int)(unsafe.Pointer(in.Replicas))
	if err := Convert_kubeone_ProviderSpec_To_v1beta3_ProviderSpec(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_DynamicWorkerConfig_To_v1beta3_DynamicWorkerConfig is an autogenerated conversion function.
func Convert_kubeone_DynamicWorkerConfig_To_v1beta3_DynamicWorkerConfig(in *kubeone.DynamicWorkerConfig, out *DynamicWorkerConfig, s conversion.Scope) error {
	return autoConvert_kubeone_DynamicWorkerConfig_To_v1beta3_DynamicWorkerConfig(in, out, s)
}

func autoConvert_v1beta3_EncryptionProviders_To_kubeone_EncryptionProviders(in *EncryptionProviders, out *kubeone.EncryptionProviders, s conversion.Scope) error {
	out.Enable = in.Enable
	out.CustomEncryptionConfiguration = in.CustomEncryptionConfiguration
	return nil
}

// Convert_v1beta3_EncryptionProviders_To_kubeone_EncryptionProviders is an autogenerated conversion function.
func Convert_v1beta3_EncryptionProviders_To_kubeone_EncryptionProviders(in *EncryptionProviders, out *kubeone.EncryptionProviders, s conversion.Scope) error {
	return autoConvert_v1beta3_EncryptionProviders_To_kubeone_EncryptionProviders(in, out, s)
}

func autoConvert_kubeone_EncryptionProviders_To_v1beta3_EncryptionProviders(in *kubeone.EncryptionProviders, out *EncryptionProviders, s conversion.Scope) error {
	out.Enable = in.Enable
	out.CustomEncryptionConfiguration = in.CustomEncryptionConfiguration
	return nil
}

// Convert_kubeone_EncryptionProviders_To_v1beta3_EncryptionProviders is an autogenerated conversion function.
func Convert_kubeone_EncryptionProviders_To_v1beta3_EncryptionProviders(in *kubeone.EncryptionProviders, out *EncryptionProviders, s conversion.Scope) error {
	return autoConvert_kubeone_EncryptionProviders_To_v1beta3_EncryptionProviders(in, out, s)
}

func autoConvert_v1beta3_EquinixMetalSpec_To_kubeone_EquinixMetalSpec(in *EquinixMetalSpec, out *kubeone.EquinixMetalSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_EquinixMetalSpec_To_kubeone_EquinixMetalSpec is an autogenerated conversion function.
func Convert_v1beta3_EquinixMetalSpec_To_kubeone_EquinixMetalSpec(in *EquinixMetalSpec, out *kubeone.EquinixMetalSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_EquinixMetalSpec_To_kubeone_EquinixMetalSpec(in, out, s)
}

func autoConvert_kubeone_EquinixMetalSpec_To_v1beta3_EquinixMetalSpec(in *kubeone.EquinixMetalSpec, out *EquinixMetalSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_EquinixMetalSpec_To_v1beta3_EquinixMetalSpec is an autogenerated conversion function.
func Convert_kubeone_EquinixMetalSpec_To_v1beta3_EquinixMetalSpec(in *kubeone.EquinixMetalSpec, out *EquinixMetalSpec, s conversion.Scope) error {
	return autoConvert_kubeone_EquinixMetalSpec_To_v1beta3_EquinixMetalSpec(in, out, s)
}

func autoConvert_v1beta3_ExternalCNISpec_To_kubeone_ExternalCNISpec(in *ExternalCNISpec, out *kubeone.ExternalCNISpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_ExternalCNISpec_To_kubeone_ExternalCNISpec is an autogenerated conversion function.
func Convert_v1beta3_ExternalCNISpec_To_kubeone_ExternalCNISpec(in *ExternalCNISpec, out *kubeone.ExternalCNISpec, s conversion.Scope) error {
	return autoConvert_v1beta3_ExternalCNISpec_To_kubeone_ExternalCNISpec(in, out, s)
}

func autoConvert_kubeone_ExternalCNISpec_To_v1beta3_ExternalCNISpec(in *kubeone.ExternalCNISpec, out *ExternalCNISpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_ExternalCNISpec_To_v1beta3_ExternalCNISpec is an autogenerated conversion function.
func Convert_kubeone_ExternalCNISpec_To_v1beta3_ExternalCNISpec(in *kubeone.ExternalCNISpec, out *ExternalCNISpec, s conversion.Scope) error {
	return autoConvert_kubeone_ExternalCNISpec_To_v1beta3_ExternalCNISpec(in, out, s)
}

func autoConvert_v1beta3_Features_To_kubeone_Features(in *Features, out *kubeone.Features, s conversion.Scope) error {
	out.CoreDNS = (*kubeone.CoreDNS)(unsafe.Pointer(in.CoreDNS))
	out.PodNodeSelector = (*kubeone.PodNodeSelector)(unsafe.Pointer(in.PodNodeSelector))
	out.StaticAuditLog = (*kubeone.StaticAuditLog)(unsafe.Pointer(in.StaticAuditLog))
	out.DynamicAuditLog = (*kubeone.DynamicAuditLog)(unsafe.Pointer(in.DynamicAuditLog))
	out.WebhookAuditLog = (*kubeone.WebhookAuditLog)(unsafe.Pointer(in.WebhookAuditLog))
	out.MetricsServer = (*kubeone.MetricsServer)(unsafe.Pointer(in.MetricsServer))
	out.OpenIDConnect = (*kubeone.OpenIDConnect)(unsafe.Pointer(in.OpenIDConnect))
	out.EncryptionProviders = (*kubeone.EncryptionProviders)(unsafe.Pointer(in.EncryptionProviders))
	out.NodeLocalDNS = (*kubeone.NodeLocalDNS)(unsafe.Pointer(in.NodeLocalDNS))
	return nil
}

// Convert_v1beta3_Features_To_kubeone_Features is an autogenerated conversion function.
func Convert_v1beta3_Features_To_kubeone_Features(in *Features, out *kubeone.Features, s conversion.Scope) error {
	return autoConvert_v1beta3_Features_To_kubeone_Features(in, out, s)
}

func autoConvert_kubeone_Features_To_v1beta3_Features(in *kubeone.Features, out *Features, s conversion.Scope) error {
	out.CoreDNS = (*CoreDNS)(unsafe.Pointer(in.CoreDNS))
	out.PodNodeSelector = (*PodNodeSelector)(unsafe.Pointer(in.PodNodeSelector))
	out.StaticAuditLog = (*StaticAuditLog)(unsafe.Pointer(in.StaticAuditLog))
	out.DynamicAuditLog = (*DynamicAuditLog)(unsafe.Pointer(in.DynamicAuditLog))
	out.WebhookAuditLog = (*WebhookAuditLog)(unsafe.Pointer(in.WebhookAuditLog))
	out.MetricsServer = (*MetricsServer)(unsafe.Pointer(in.MetricsServer))
	out.OpenIDConnect = (*OpenIDConnect)(unsafe.Pointer(in.OpenIDConnect))
	out.EncryptionProviders = (*EncryptionProviders)(unsafe.Pointer(in.EncryptionProviders))
	out.NodeLocalDNS = (*NodeLocalDNS)(unsafe.Pointer(in.NodeLocalDNS))
	return nil
}

// Convert_kubeone_Features_To_v1beta3_Features is an autogenerated conversion function.
func Convert_kubeone_Features_To_v1beta3_Features(in *kubeone.Features, out *Features, s conversion.Scope) error {
	return autoConvert_kubeone_Features_To_v1beta3_Features(in, out, s)
}

func autoConvert_v1beta3_GCESpec_To_kubeone_GCESpec(in *GCESpec, out *kubeone.GCESpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_GCESpec_To_kubeone_GCESpec is an autogenerated conversion function.
func Convert_v1beta3_GCESpec_To_kubeone_GCESpec(in *GCESpec, out *kubeone.GCESpec, s conversion.Scope) error {
	return autoConvert_v1beta3_GCESpec_To_kubeone_GCESpec(in, out, s)
}

func autoConvert_kubeone_GCESpec_To_v1beta3_GCESpec(in *kubeone.GCESpec, out *GCESpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_GCESpec_To_v1beta3_GCESpec is an autogenerated conversion function.
func Convert_kubeone_GCESpec_To_v1beta3_GCESpec(in *kubeone.GCESpec, out *GCESpec, s conversion.Scope) error {
	return autoConvert_kubeone_GCESpec_To_v1beta3_GCESpec(in, out, s)
}

func autoConvert_v1beta3_HelmRelease_To_kubeone_HelmRelease(in *HelmRelease, out *kubeone.HelmRelease, s conversion.Scope) error {
	out.Chart = in.Chart
	out.RepoURL = in.RepoURL
	out.ChartURL = in.ChartURL
	out.Version = in.Version
	out.ReleaseName = in.ReleaseName
	out.Namespace = in.Namespace
	out.Wait = in.Wait
	out.WaitTimeout = in.WaitTimeout
	out.Values = *(*[]kubeone.HelmValues)(unsafe.Pointer(&in.Values))
	return nil
}

// Convert_v1beta3_HelmRelease_To_kubeone_HelmRelease is an autogenerated conversion function.
func Convert_v1beta3_HelmRelease_To_kubeone_HelmRelease(in *HelmRelease, out *kubeone.HelmRelease, s conversion.Scope) error {
	return autoConvert_v1beta3_HelmRelease_To_kubeone_HelmRelease(in, out, s)
}

func autoConvert_kubeone_HelmRelease_To_v1beta3_HelmRelease(in *kubeone.HelmRelease, out *HelmRelease, s conversion.Scope) error {
	out.Chart = in.Chart
	out.RepoURL = in.RepoURL
	out.ChartURL = in.ChartURL
	out.Version = in.Version
	out.ReleaseName = in.ReleaseName
	out.Namespace = in.Namespace
	out.Wait = in.Wait
	out.WaitTimeout = in.WaitTimeout
	out.Values = *(*[]HelmValues)(unsafe.Pointer(&in.Values))
	return nil
}

// Convert_kubeone_HelmRelease_To_v1beta3_HelmRelease is an autogenerated conversion function.
func Convert_kubeone_HelmRelease_To_v1beta3_HelmRelease(in *kubeone.HelmRelease, out *HelmRelease, s conversion.Scope) error {
	return autoConvert_kubeone_HelmRelease_To_v1beta3_HelmRelease(in, out, s)
}

func autoConvert_v1beta3_HelmValues_To_kubeone_HelmValues(in *HelmValues, out *kubeone.HelmValues, s conversion.Scope) error {
	out.ValuesFile = in.ValuesFile
	out.Inline = *(*json.RawMessage)(unsafe.Pointer(&in.Inline))
	return nil
}

// Convert_v1beta3_HelmValues_To_kubeone_HelmValues is an autogenerated conversion function.
func Convert_v1beta3_HelmValues_To_kubeone_HelmValues(in *HelmValues, out *kubeone.HelmValues, s conversion.Scope) error {
	return autoConvert_v1beta3_HelmValues_To_kubeone_HelmValues(in, out, s)
}

func autoConvert_kubeone_HelmValues_To_v1beta3_HelmValues(in *kubeone.HelmValues, out *HelmValues, s conversion.Scope) error {
	out.ValuesFile = in.ValuesFile
	out.Inline = *(*json.RawMessage)(unsafe.Pointer(&in.Inline))
	return nil
}

// Convert_kubeone_HelmValues_To_v1beta3_HelmValues is an autogenerated conversion function.
func Convert_kubeone_HelmValues_To_v1beta3_HelmValues(in *kubeone.HelmValues, out *HelmValues, s conversion.Scope) error {
	return autoConvert_kubeone_HelmValues_To_v1beta3_HelmValues(in, out, s)
}

func autoConvert_v1beta3_HetznerSpec_To_kubeone_HetznerSpec(in *HetznerSpec, out *kubeone.HetznerSpec, s conversion.Scope) error {
	out.NetworkID = in.NetworkID
	return nil
}

// Convert_v1beta3_HetznerSpec_To_kubeone_HetznerSpec is an autogenerated conversion function.
func Convert_v1beta3_HetznerSpec_To_kubeone_HetznerSpec(in *HetznerSpec, out *kubeone.HetznerSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_HetznerSpec_To_kubeone_HetznerSpec(in, out, s)
}

func autoConvert_kubeone_HetznerSpec_To_v1beta3_HetznerSpec(in *kubeone.HetznerSpec, out *HetznerSpec, s conversion.Scope) error {
	out.NetworkID = in.NetworkID
	return nil
}

// Convert_kubeone_HetznerSpec_To_v1beta3_HetznerSpec is an autogenerated conversion function.
func Convert_kubeone_HetznerSpec_To_v1beta3_HetznerSpec(in *kubeone.HetznerSpec, out *HetznerSpec, s conversion.Scope) error {
	return autoConvert_kubeone_HetznerSpec_To_v1beta3_HetznerSpec(in, out, s)
}

func autoConvert_v1beta3_HostConfig_To_kubeone_HostConfig(in *HostConfig, out *kubeone.HostConfig, s conversion.Scope) error {
	out.ID = in.ID
	out.PublicAddress = in.PublicAddress
	out.IPv6Addresses = *(*[]string)(unsafe.Pointer(&in.IPv6Addresses))
	out.PrivateAddress = in.PrivateAddress
	out.SSHPort = in.SSHPort
	out.SSHUsername = in.SSHUsername
	out.SSHPrivateKeyFile = in.SSHPrivateKeyFile
	out.SSHCertFile = in.SSHCertFile
	out.SSHHostPublicKey = *(*[]byte)(unsafe.Pointer(&in.SSHHostPublicKey))
	out.SSHAgentSocket = in.SSHAgentSocket
	out.Bastion = in.Bastion
	out.BastionPort = in.BastionPort
	out.BastionUser = in.BastionUser
	out.BastionHostPublicKey = *(*[]byte)(unsafe.Pointer(&in.BastionHostPublicKey))
	out.Hostname = in.Hostname
	out.IsLeader = in.IsLeader
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	if err := Convert_v1beta3_KubeletConfig_To_kubeone_KubeletConfig(&in.Kubelet, &out.Kubelet, s); err != nil {
		return err
	}
	out.OperatingSystem = kubeone.OperatingSystemName(in.OperatingSystem)
	return nil
}

// Convert_v1beta3_HostConfig_To_kubeone_HostConfig is an autogenerated conversion function.
func Convert_v1beta3_HostConfig_To_kubeone_HostConfig(in *HostConfig, out *kubeone.HostConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_HostConfig_To_kubeone_HostConfig(in, out, s)
}

func autoConvert_kubeone_HostConfig_To_v1beta3_HostConfig(in *kubeone.HostConfig, out *HostConfig, s conversion.Scope) error {
	out.ID = in.ID
	out.PublicAddress = in.PublicAddress
	out.IPv6Addresses = *(*[]string)(unsafe.Pointer(&in.IPv6Addresses))
	out.PrivateAddress = in.PrivateAddress
	out.SSHPort = in.SSHPort
	out.SSHUsername = in.SSHUsername
	out.SSHPrivateKeyFile = in.SSHPrivateKeyFile
	out.SSHCertFile = in.SSHCertFile
	out.SSHHostPublicKey = *(*[]byte)(unsafe.Pointer(&in.SSHHostPublicKey))
	out.SSHAgentSocket = in.SSHAgentSocket
	out.Bastion = in.Bastion
	out.BastionPort = in.BastionPort
	out.BastionUser = in.BastionUser
	out.BastionHostPublicKey = *(*[]byte)(unsafe.Pointer(&in.BastionHostPublicKey))
	out.Hostname = in.Hostname
	out.IsLeader = in.IsLeader
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	if err := Convert_kubeone_KubeletConfig_To_v1beta3_KubeletConfig(&in.Kubelet, &out.Kubelet, s); err != nil {
		return err
	}
	out.OperatingSystem = OperatingSystemName(in.OperatingSystem)
	return nil
}

// Convert_kubeone_HostConfig_To_v1beta3_HostConfig is an autogenerated conversion function.
func Convert_kubeone_HostConfig_To_v1beta3_HostConfig(in *kubeone.HostConfig, out *HostConfig, s conversion.Scope) error {
	return autoConvert_kubeone_HostConfig_To_v1beta3_HostConfig(in, out, s)
}

func autoConvert_v1beta3_IPTables_To_kubeone_IPTables(in *IPTables, out *kubeone.IPTables, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_IPTables_To_kubeone_IPTables is an autogenerated conversion function.
func Convert_v1beta3_IPTables_To_kubeone_IPTables(in *IPTables, out *kubeone.IPTables, s conversion.Scope) error {
	return autoConvert_v1beta3_IPTables_To_kubeone_IPTables(in, out, s)
}

func autoConvert_kubeone_IPTables_To_v1beta3_IPTables(in *kubeone.IPTables, out *IPTables, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_IPTables_To_v1beta3_IPTables is an autogenerated conversion function.
func Convert_kubeone_IPTables_To_v1beta3_IPTables(in *kubeone.IPTables, out *IPTables, s conversion.Scope) error {
	return autoConvert_kubeone_IPTables_To_v1beta3_IPTables(in, out, s)
}

func autoConvert_v1beta3_IPVSConfig_To_kubeone_IPVSConfig(in *IPVSConfig, out *kubeone.IPVSConfig, s conversion.Scope) error {
	out.Scheduler = in.Scheduler
	out.ExcludeCIDRs = *(*[]string)(unsafe.Pointer(&in.ExcludeCIDRs))
	out.StrictARP = in.StrictARP
	out.TCPTimeout = in.TCPTimeout
	out.TCPFinTimeout = in.TCPFinTimeout
	out.UDPTimeout = in.UDPTimeout
	return nil
}

// Convert_v1beta3_IPVSConfig_To_kubeone_IPVSConfig is an autogenerated conversion function.
func Convert_v1beta3_IPVSConfig_To_kubeone_IPVSConfig(in *IPVSConfig, out *kubeone.IPVSConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_IPVSConfig_To_kubeone_IPVSConfig(in, out, s)
}

func autoConvert_kubeone_IPVSConfig_To_v1beta3_IPVSConfig(in *kubeone.IPVSConfig, out *IPVSConfig, s conversion.Scope) error {
	out.Scheduler = in.Scheduler
	out.ExcludeCIDRs = *(*[]string)(unsafe.Pointer(&in.ExcludeCIDRs))
	out.StrictARP = in.StrictARP
	out.TCPTimeout = in.TCPTimeout
	out.TCPFinTimeout = in.TCPFinTimeout
	out.UDPTimeout = in.UDPTimeout
	return nil
}

// Convert_kubeone_IPVSConfig_To_v1beta3_IPVSConfig is an autogenerated conversion function.
func Convert_kubeone_IPVSConfig_To_v1beta3_IPVSConfig(in *kubeone.IPVSConfig, out *IPVSConfig, s conversion.Scope) error {
	return autoConvert_kubeone_IPVSConfig_To_v1beta3_IPVSConfig(in, out, s)
}

func autoConvert_v1beta3_KubeOneCluster_To_kubeone_KubeOneCluster(in *KubeOneCluster, out *kubeone.KubeOneCluster, s conversion.Scope) error {
	out.Name = in.Name
	if err := Convert_v1beta3_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(&in.ControlPlane, &out.ControlPlane, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_APIEndpoint_To_kubeone_APIEndpoint(&in.APIEndpoint, &out.APIEndpoint, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_CloudProviderSpec_To_kubeone_CloudProviderSpec(&in.CloudProvider, &out.CloudProvider, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_VersionConfig_To_kubeone_VersionConfig(&in.Versions, &out.Versions, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(&in.ContainerRuntime, &out.ContainerRuntime, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(&in.ClusterNetwork, &out.ClusterNetwork, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_ProxyConfig_To_kubeone_ProxyConfig(&in.Proxy, &out.Proxy, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(&in.StaticWorkers, &out.StaticWorkers, s); err != nil {
		return err
	}
	out.DynamicWorkers = *(*[]kubeone.DynamicWorkerConfig)(unsafe.Pointer(&in.DynamicWorkers))
	out.MachineController = (*kubeone.MachineControllerConfig)(unsafe.Pointer(in.MachineController))
	out.OperatingSystemManager = (*kubeone.OperatingSystemManagerConfig)(unsafe.Pointer(in.OperatingSystemManager))
	out.CABundle = in.CABundle
	if err := Convert_v1beta3_Features_To_kubeone_Features(&in.Features, &out.Features, s); err != nil {
		return err
	}
	out.Addons = (*kubeone.Addons)(unsafe.Pointer(in.Addons))
	out.SystemPackages = (*kubeone.SystemPackages)(unsafe.Pointer(in.SystemPackages))
	out.RegistryConfiguration = (*kubeone.RegistryConfiguration)(unsafe.Pointer(in.RegistryConfiguration))
	if err := Convert_v1beta3_LoggingConfig_To_kubeone_LoggingConfig(&in.LoggingConfig, &out.LoggingConfig, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_TLSCipherSuites_To_kubeone_TLSCipherSuites(&in.TLSCipherSuites, &out.TLSCipherSuites, s); err != nil {
		return err
	}
	out.ControlPlaneComponents = (*kubeone.ControlPlaneComponents)(unsafe.Pointer(in.ControlPlaneComponents))
	return nil
}

// Convert_v1beta3_KubeOneCluster_To_kubeone_KubeOneCluster is an autogenerated conversion function.
func Convert_v1beta3_KubeOneCluster_To_kubeone_KubeOneCluster(in *KubeOneCluster, out *kubeone.KubeOneCluster, s conversion.Scope) error {
	return autoConvert_v1beta3_KubeOneCluster_To_kubeone_KubeOneCluster(in, out, s)
}

func autoConvert_kubeone_KubeOneCluster_To_v1beta3_KubeOneCluster(in *kubeone.KubeOneCluster, out *KubeOneCluster, s conversion.Scope) error {
	out.Name = in.Name
	if err := Convert_kubeone_ControlPlaneConfig_To_v1beta3_ControlPlaneConfig(&in.ControlPlane, &out.ControlPlane, s); err != nil {
		return err
	}
	if err := Convert_kubeone_APIEndpoint_To_v1beta3_APIEndpoint(&in.APIEndpoint, &out.APIEndpoint, s); err != nil {
		return err
	}
	if err := Convert_kubeone_CloudProviderSpec_To_v1beta3_CloudProviderSpec(&in.CloudProvider, &out.CloudProvider, s); err != nil {
		return err
	}
	if err := Convert_kubeone_VersionConfig_To_v1beta3_VersionConfig(&in.Versions, &out.Versions, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ContainerRuntimeConfig_To_v1beta3_ContainerRuntimeConfig(&in.ContainerRuntime, &out.ContainerRuntime, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ClusterNetworkConfig_To_v1beta3_ClusterNetworkConfig(&in.ClusterNetwork, &out.ClusterNetwork, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ProxyConfig_To_v1beta3_ProxyConfig(&in.Proxy, &out.Proxy, s); err != nil {
		return err
	}
	if err := Convert_kubeone_StaticWorkersConfig_To_v1beta3_StaticWorkersConfig(&in.StaticWorkers, &out.StaticWorkers, s); err != nil {
		return err
	}
	out.DynamicWorkers = *(*[]DynamicWorkerConfig)(unsafe.Pointer(&in.DynamicWorkers))
	out.MachineController = (*MachineControllerConfig)(unsafe.Pointer(in.MachineController))
	out.OperatingSystemManager = (*OperatingSystemManagerConfig)(unsafe.Pointer(in.OperatingSystemManager))
	out.CABundle = in.CABundle
	if err := Convert_kubeone_Features_To_v1beta3_Features(&in.Features, &out.Features, s); err != nil {
		return err
	}
	out.Addons = (*Addons)(unsafe.Pointer(in.Addons))
	out.SystemPackages = (*SystemPackages)(unsafe.Pointer(in.SystemPackages))
	// WARNING: in.AssetConfiguration requires manual conversion: does not exist in peer-type
	out.RegistryConfiguration = (*RegistryConfiguration)(unsafe.Pointer(in.RegistryConfiguration))
	if err := Convert_kubeone_LoggingConfig_To_v1beta3_LoggingConfig(&in.LoggingConfig, &out.LoggingConfig, s); err != nil {
		return err
	}
	if err := Convert_kubeone_TLSCipherSuites_To_v1beta3_TLSCipherSuites(&in.TLSCipherSuites, &out.TLSCipherSuites, s); err != nil {
		return err
	}
	out.ControlPlaneComponents = (*ControlPlaneComponents)(unsafe.Pointer(in.ControlPlaneComponents))
	return nil
}

func autoConvert_v1beta3_KubeProxyConfig_To_kubeone_KubeProxyConfig(in *KubeProxyConfig, out *kubeone.KubeProxyConfig, s conversion.Scope) error {
	out.SkipInstallation = in.SkipInstallation
	out.IPVS = (*kubeone.IPVSConfig)(unsafe.Pointer(in.IPVS))
	out.IPTables = (*kubeone.IPTables)(unsafe.Pointer(in.IPTables))
	return nil
}

// Convert_v1beta3_KubeProxyConfig_To_kubeone_KubeProxyConfig is an autogenerated conversion function.
func Convert_v1beta3_KubeProxyConfig_To_kubeone_KubeProxyConfig(in *KubeProxyConfig, out *kubeone.KubeProxyConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_KubeProxyConfig_To_kubeone_KubeProxyConfig(in, out, s)
}

func autoConvert_kubeone_KubeProxyConfig_To_v1beta3_KubeProxyConfig(in *kubeone.KubeProxyConfig, out *KubeProxyConfig, s conversion.Scope) error {
	out.SkipInstallation = in.SkipInstallation
	out.IPVS = (*IPVSConfig)(unsafe.Pointer(in.IPVS))
	out.IPTables = (*IPTables)(unsafe.Pointer(in.IPTables))
	return nil
}

// Convert_kubeone_KubeProxyConfig_To_v1beta3_KubeProxyConfig is an autogenerated conversion function.
func Convert_kubeone_KubeProxyConfig_To_v1beta3_KubeProxyConfig(in *kubeone.KubeProxyConfig, out *KubeProxyConfig, s conversion.Scope) error {
	return autoConvert_kubeone_KubeProxyConfig_To_v1beta3_KubeProxyConfig(in, out, s)
}

func autoConvert_v1beta3_KubeletConfig_To_kubeone_KubeletConfig(in *KubeletConfig, out *kubeone.KubeletConfig, s conversion.Scope) error {
	out.SystemReserved = *(*map[string]string)(unsafe.Pointer(&in.SystemReserved))
	out.KubeReserved = *(*map[string]string)(unsafe.Pointer(&in.KubeReserved))
	out.EvictionHard = *(*map[string]string)(unsafe.Pointer(&in.EvictionHard))
	out.MaxPods = (*int32)(unsafe.Pointer(in.MaxPods))
	out.PodPidsLimit = (*int64)(unsafe.Pointer(in.PodPidsLimit))
	return nil
}

// Convert_v1beta3_KubeletConfig_To_kubeone_KubeletConfig is an autogenerated conversion function.
func Convert_v1beta3_KubeletConfig_To_kubeone_KubeletConfig(in *KubeletConfig, out *kubeone.KubeletConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_KubeletConfig_To_kubeone_KubeletConfig(in, out, s)
}

func autoConvert_kubeone_KubeletConfig_To_v1beta3_KubeletConfig(in *kubeone.KubeletConfig, out *KubeletConfig, s conversion.Scope) error {
	out.SystemReserved = *(*map[string]string)(unsafe.Pointer(&in.SystemReserved))
	out.KubeReserved = *(*map[string]string)(unsafe.Pointer(&in.KubeReserved))
	out.EvictionHard = *(*map[string]string)(unsafe.Pointer(&in.EvictionHard))
	out.MaxPods = (*int32)(unsafe.Pointer(in.MaxPods))
	out.PodPidsLimit = (*int64)(unsafe.Pointer(in.PodPidsLimit))
	return nil
}

// Convert_kubeone_KubeletConfig_To_v1beta3_KubeletConfig is an autogenerated conversion function.
func Convert_kubeone_KubeletConfig_To_v1beta3_KubeletConfig(in *kubeone.KubeletConfig, out *KubeletConfig, s conversion.Scope) error {
	return autoConvert_kubeone_KubeletConfig_To_v1beta3_KubeletConfig(in, out, s)
}

func autoConvert_v1beta3_KubevirtSpec_To_kubeone_KubevirtSpec(in *KubevirtSpec, out *kubeone.KubevirtSpec, s conversion.Scope) error {
	out.InfraNamespace = in.InfraNamespace
	out.InfraClusterKubeconfig = in.InfraClusterKubeconfig
	return nil
}

// Convert_v1beta3_KubevirtSpec_To_kubeone_KubevirtSpec is an autogenerated conversion function.
func Convert_v1beta3_KubevirtSpec_To_kubeone_KubevirtSpec(in *KubevirtSpec, out *kubeone.KubevirtSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_KubevirtSpec_To_kubeone_KubevirtSpec(in, out, s)
}

func autoConvert_kubeone_KubevirtSpec_To_v1beta3_KubevirtSpec(in *kubeone.KubevirtSpec, out *KubevirtSpec, s conversion.Scope) error {
	out.InfraNamespace = in.InfraNamespace
	out.InfraClusterKubeconfig = in.InfraClusterKubeconfig
	return nil
}

// Convert_kubeone_KubevirtSpec_To_v1beta3_KubevirtSpec is an autogenerated conversion function.
func Convert_kubeone_KubevirtSpec_To_v1beta3_KubevirtSpec(in *kubeone.KubevirtSpec, out *KubevirtSpec, s conversion.Scope) error {
	return autoConvert_kubeone_KubevirtSpec_To_v1beta3_KubevirtSpec(in, out, s)
}

func autoConvert_v1beta3_LoggingConfig_To_kubeone_LoggingConfig(in *LoggingConfig, out *kubeone.LoggingConfig, s conversion.Scope) error {
	out.ContainerLogMaxSize = in.ContainerLogMaxSize
	out.ContainerLogMaxFiles = in.ContainerLogMaxFiles
	return nil
}

// Convert_v1beta3_LoggingConfig_To_kubeone_LoggingConfig is an autogenerated conversion function.
func Convert_v1beta3_LoggingConfig_To_kubeone_LoggingConfig(in *LoggingConfig, out *kubeone.LoggingConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_LoggingConfig_To_kubeone_LoggingConfig(in, out, s)
}

func autoConvert_kubeone_LoggingConfig_To_v1beta3_LoggingConfig(in *kubeone.LoggingConfig, out *LoggingConfig, s conversion.Scope) error {
	out.ContainerLogMaxSize = in.ContainerLogMaxSize
	out.ContainerLogMaxFiles = in.ContainerLogMaxFiles
	return nil
}

// Convert_kubeone_LoggingConfig_To_v1beta3_LoggingConfig is an autogenerated conversion function.
func Convert_kubeone_LoggingConfig_To_v1beta3_LoggingConfig(in *kubeone.LoggingConfig, out *LoggingConfig, s conversion.Scope) error {
	return autoConvert_kubeone_LoggingConfig_To_v1beta3_LoggingConfig(in, out, s)
}

func autoConvert_v1beta3_MachineControllerConfig_To_kubeone_MachineControllerConfig(in *MachineControllerConfig, out *kubeone.MachineControllerConfig, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_v1beta3_MachineControllerConfig_To_kubeone_MachineControllerConfig is an autogenerated conversion function.
func Convert_v1beta3_MachineControllerConfig_To_kubeone_MachineControllerConfig(in *MachineControllerConfig, out *kubeone.MachineControllerConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_MachineControllerConfig_To_kubeone_MachineControllerConfig(in, out, s)
}

func autoConvert_kubeone_MachineControllerConfig_To_v1beta3_MachineControllerConfig(in *kubeone.MachineControllerConfig, out *MachineControllerConfig, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_kubeone_MachineControllerConfig_To_v1beta3_MachineControllerConfig is an autogenerated conversion function.
func Convert_kubeone_MachineControllerConfig_To_v1beta3_MachineControllerConfig(in *kubeone.MachineControllerConfig, out *MachineControllerConfig, s conversion.Scope) error {
	return autoConvert_kubeone_MachineControllerConfig_To_v1beta3_MachineControllerConfig(in, out, s)
}

func autoConvert_v1beta3_MetricsServer_To_kubeone_MetricsServer(in *MetricsServer, out *kubeone.MetricsServer, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_v1beta3_MetricsServer_To_kubeone_MetricsServer is an autogenerated conversion function.
func Convert_v1beta3_MetricsServer_To_kubeone_MetricsServer(in *MetricsServer, out *kubeone.MetricsServer, s conversion.Scope) error {
	return autoConvert_v1beta3_MetricsServer_To_kubeone_MetricsServer(in, out, s)
}

func autoConvert_kubeone_MetricsServer_To_v1beta3_MetricsServer(in *kubeone.MetricsServer, out *MetricsServer, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_kubeone_MetricsServer_To_v1beta3_MetricsServer is an autogenerated conversion function.
func Convert_kubeone_MetricsServer_To_v1beta3_MetricsServer(in *kubeone.MetricsServer, out *MetricsServer, s conversion.Scope) error {
	return autoConvert_kubeone_MetricsServer_To_v1beta3_MetricsServer(in, out, s)
}

func autoConvert_v1beta3_NodeLocalDNS_To_kubeone_NodeLocalDNS(in *NodeLocalDNS, out *kubeone.NodeLocalDNS, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_v1beta3_NodeLocalDNS_To_kubeone_NodeLocalDNS is an autogenerated conversion function.
func Convert_v1beta3_NodeLocalDNS_To_kubeone_NodeLocalDNS(in *NodeLocalDNS, out *kubeone.NodeLocalDNS, s conversion.Scope) error {
	return autoConvert_v1beta3_NodeLocalDNS_To_kubeone_NodeLocalDNS(in, out, s)
}

func autoConvert_kubeone_NodeLocalDNS_To_v1beta3_NodeLocalDNS(in *kubeone.NodeLocalDNS, out *NodeLocalDNS, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_kubeone_NodeLocalDNS_To_v1beta3_NodeLocalDNS is an autogenerated conversion function.
func Convert_kubeone_NodeLocalDNS_To_v1beta3_NodeLocalDNS(in *kubeone.NodeLocalDNS, out *NodeLocalDNS, s conversion.Scope) error {
	return autoConvert_kubeone_NodeLocalDNS_To_v1beta3_NodeLocalDNS(in, out, s)
}

func autoConvert_v1beta3_NoneSpec_To_kubeone_NoneSpec(in *NoneSpec, out *kubeone.NoneSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_NoneSpec_To_kubeone_NoneSpec is an autogenerated conversion function.
func Convert_v1beta3_NoneSpec_To_kubeone_NoneSpec(in *NoneSpec, out *kubeone.NoneSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_NoneSpec_To_kubeone_NoneSpec(in, out, s)
}

func autoConvert_kubeone_NoneSpec_To_v1beta3_NoneSpec(in *kubeone.NoneSpec, out *NoneSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_NoneSpec_To_v1beta3_NoneSpec is an autogenerated conversion function.
func Convert_kubeone_NoneSpec_To_v1beta3_NoneSpec(in *kubeone.NoneSpec, out *NoneSpec, s conversion.Scope) error {
	return autoConvert_kubeone_NoneSpec_To_v1beta3_NoneSpec(in, out, s)
}

func autoConvert_v1beta3_NutanixSpec_To_kubeone_NutanixSpec(in *NutanixSpec, out *kubeone.NutanixSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_NutanixSpec_To_kubeone_NutanixSpec is an autogenerated conversion function.
func Convert_v1beta3_NutanixSpec_To_kubeone_NutanixSpec(in *NutanixSpec, out *kubeone.NutanixSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_NutanixSpec_To_kubeone_NutanixSpec(in, out, s)
}

func autoConvert_kubeone_NutanixSpec_To_v1beta3_NutanixSpec(in *kubeone.NutanixSpec, out *NutanixSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_NutanixSpec_To_v1beta3_NutanixSpec is an autogenerated conversion function.
func Convert_kubeone_NutanixSpec_To_v1beta3_NutanixSpec(in *kubeone.NutanixSpec, out *NutanixSpec, s conversion.Scope) error {
	return autoConvert_kubeone_NutanixSpec_To_v1beta3_NutanixSpec(in, out, s)
}

func autoConvert_v1beta3_OpenIDConnect_To_kubeone_OpenIDConnect(in *OpenIDConnect, out *kubeone.OpenIDConnect, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta3_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_OpenIDConnect_To_kubeone_OpenIDConnect is an autogenerated conversion function.
func Convert_v1beta3_OpenIDConnect_To_kubeone_OpenIDConnect(in *OpenIDConnect, out *kubeone.OpenIDConnect, s conversion.Scope) error {
	return autoConvert_v1beta3_OpenIDConnect_To_kubeone_OpenIDConnect(in, out, s)
}

func autoConvert_kubeone_OpenIDConnect_To_v1beta3_OpenIDConnect(in *kubeone.OpenIDConnect, out *OpenIDConnect, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_OpenIDConnectConfig_To_v1beta3_OpenIDConnectConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_OpenIDConnect_To_v1beta3_OpenIDConnect is an autogenerated conversion function.
func Convert_kubeone_OpenIDConnect_To_v1beta3_OpenIDConnect(in *kubeone.OpenIDConnect, out *OpenIDConnect, s conversion.Scope) error {
	return autoConvert_kubeone_OpenIDConnect_To_v1beta3_OpenIDConnect(in, out, s)
}

func autoConvert_v1beta3_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(in *OpenIDConnectConfig, out *kubeone.OpenIDConnectConfig, s conversion.Scope) error {
	out.IssuerURL = in.IssuerURL
	out.ClientID = in.ClientID
	out.UsernameClaim = in.UsernameClaim
	out.UsernamePrefix = in.UsernamePrefix
	out.GroupsClaim = in.GroupsClaim
	out.GroupsPrefix = in.GroupsPrefix
	out.RequiredClaim = in.RequiredClaim
	out.SigningAlgs = in.SigningAlgs
	out.CAFile = in.CAFile
	return nil
}

// Convert_v1beta3_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig is an autogenerated conversion function.
func Convert_v1beta3_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(in *OpenIDConnectConfig, out *kubeone.OpenIDConnectConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(in, out, s)
}

func autoConvert_kubeone_OpenIDConnectConfig_To_v1beta3_OpenIDConnectConfig(in *kubeone.OpenIDConnectConfig, out *OpenIDConnectConfig, s conversion.Scope) error {
	out.IssuerURL = in.IssuerURL
	out.ClientID = in.ClientID
	out.UsernameClaim = in.UsernameClaim
	out.UsernamePrefix = in.UsernamePrefix
	out.GroupsClaim = in.GroupsClaim
	out.GroupsPrefix = in.GroupsPrefix
	out.RequiredClaim = in.RequiredClaim
	out.SigningAlgs = in.SigningAlgs
	out.CAFile = in.CAFile
	return nil
}

// Convert_kubeone_OpenIDConnectConfig_To_v1beta3_OpenIDConnectConfig is an autogenerated conversion function.
func Convert_kubeone_OpenIDConnectConfig_To_v1beta3_OpenIDConnectConfig(in *kubeone.OpenIDConnectConfig, out *OpenIDConnectConfig, s conversion.Scope) error {
	return autoConvert_kubeone_OpenIDConnectConfig_To_v1beta3_OpenIDConnectConfig(in, out, s)
}

func autoConvert_v1beta3_OpenstackSpec_To_kubeone_OpenstackSpec(in *OpenstackSpec, out *kubeone.OpenstackSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_OpenstackSpec_To_kubeone_OpenstackSpec is an autogenerated conversion function.
func Convert_v1beta3_OpenstackSpec_To_kubeone_OpenstackSpec(in *OpenstackSpec, out *kubeone.OpenstackSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_OpenstackSpec_To_kubeone_OpenstackSpec(in, out, s)
}

func autoConvert_kubeone_OpenstackSpec_To_v1beta3_OpenstackSpec(in *kubeone.OpenstackSpec, out *OpenstackSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_OpenstackSpec_To_v1beta3_OpenstackSpec is an autogenerated conversion function.
func Convert_kubeone_OpenstackSpec_To_v1beta3_OpenstackSpec(in *kubeone.OpenstackSpec, out *OpenstackSpec, s conversion.Scope) error {
	return autoConvert_kubeone_OpenstackSpec_To_v1beta3_OpenstackSpec(in, out, s)
}

func autoConvert_v1beta3_OperatingSystemManagerConfig_To_kubeone_OperatingSystemManagerConfig(in *OperatingSystemManagerConfig, out *kubeone.OperatingSystemManagerConfig, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_v1beta3_OperatingSystemManagerConfig_To_kubeone_OperatingSystemManagerConfig is an autogenerated conversion function.
func Convert_v1beta3_OperatingSystemManagerConfig_To_kubeone_OperatingSystemManagerConfig(in *OperatingSystemManagerConfig, out *kubeone.OperatingSystemManagerConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_OperatingSystemManagerConfig_To_kubeone_OperatingSystemManagerConfig(in, out, s)
}

func autoConvert_kubeone_OperatingSystemManagerConfig_To_v1beta3_OperatingSystemManagerConfig(in *kubeone.OperatingSystemManagerConfig, out *OperatingSystemManagerConfig, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_kubeone_OperatingSystemManagerConfig_To_v1beta3_OperatingSystemManagerConfig is an autogenerated conversion function.
func Convert_kubeone_OperatingSystemManagerConfig_To_v1beta3_OperatingSystemManagerConfig(in *kubeone.OperatingSystemManagerConfig, out *OperatingSystemManagerConfig, s conversion.Scope) error {
	return autoConvert_kubeone_OperatingSystemManagerConfig_To_v1beta3_OperatingSystemManagerConfig(in, out, s)
}

func autoConvert_v1beta3_PodNodeSelector_To_kubeone_PodNodeSelector(in *PodNodeSelector, out *kubeone.PodNodeSelector, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta3_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_PodNodeSelector_To_kubeone_PodNodeSelector is an autogenerated conversion function.
func Convert_v1beta3_PodNodeSelector_To_kubeone_PodNodeSelector(in *PodNodeSelector, out *kubeone.PodNodeSelector, s conversion.Scope) error {
	return autoConvert_v1beta3_PodNodeSelector_To_kubeone_PodNodeSelector(in, out, s)
}

func autoConvert_kubeone_PodNodeSelector_To_v1beta3_PodNodeSelector(in *kubeone.PodNodeSelector, out *PodNodeSelector, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_PodNodeSelectorConfig_To_v1beta3_PodNodeSelectorConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_PodNodeSelector_To_v1beta3_PodNodeSelector is an autogenerated conversion function.
func Convert_kubeone_PodNodeSelector_To_v1beta3_PodNodeSelector(in *kubeone.PodNodeSelector, out *PodNodeSelector, s conversion.Scope) error {
	return autoConvert_kubeone_PodNodeSelector_To_v1beta3_PodNodeSelector(in, out, s)
}

func autoConvert_v1beta3_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(in *PodNodeSelectorConfig, out *kubeone.PodNodeSelectorConfig, s conversion.Scope) error {
	out.ConfigFilePath = in.ConfigFilePath
	return nil
}

// Convert_v1beta3_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig is an autogenerated conversion function.
func Convert_v1beta3_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(in *PodNodeSelectorConfig, out *kubeone.PodNodeSelectorConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(in, out, s)
}

func autoConvert_kubeone_PodNodeSelectorConfig_To_v1beta3_PodNodeSelectorConfig(in *kubeone.PodNodeSelectorConfig, out *PodNodeSelectorConfig, s conversion.Scope) error {
	out.ConfigFilePath = in.ConfigFilePath
	return nil
}

// Convert_kubeone_PodNodeSelectorConfig_To_v1beta3_PodNodeSelectorConfig is an autogenerated conversion function.
func Convert_kubeone_PodNodeSelectorConfig_To_v1beta3_PodNodeSelectorConfig(in *kubeone.PodNodeSelectorConfig, out *PodNodeSelectorConfig, s conversion.Scope) error {
	return autoConvert_kubeone_PodNodeSelectorConfig_To_v1beta3_PodNodeSelectorConfig(in, out, s)
}

func autoConvert_v1beta3_ProviderSpec_To_kubeone_ProviderSpec(in *ProviderSpec, out *kubeone.ProviderSpec, s conversion.Scope) error {
	out.CloudProviderSpec = *(*json.RawMessage)(unsafe.Pointer(&in.CloudProviderSpec))
	out.Annotations = *(*map[string]string)(unsafe.Pointer(&in.Annotations))
	out.MachineAnnotations = *(*map[string]string)(unsafe.Pointer(&in.MachineAnnotations))
	out.NodeAnnotations = *(*map[string]string)(unsafe.Pointer(&in.NodeAnnotations))
	out.MachineObjectAnnotations = *(*map[string]string)(unsafe.Pointer(&in.MachineObjectAnnotations))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.SSHPublicKeys = *(*[]string)(unsafe.Pointer(&in.SSHPublicKeys))
	out.OperatingSystem = in.OperatingSystem
	out.OperatingSystemSpec = *(*json.RawMessage)(unsafe.Pointer(&in.OperatingSystemSpec))
	out.Network = (*kubeone.ProviderStaticNetworkConfig)(unsafe.Pointer(in.Network))
	out.OverwriteCloudConfig = (*string)(unsafe.Pointer(in.OverwriteCloudConfig))
	return nil
}

// Convert_v1beta3_ProviderSpec_To_kubeone_ProviderSpec is an autogenerated conversion function.
func Convert_v1beta3_ProviderSpec_To_kubeone_ProviderSpec(in *ProviderSpec, out *kubeone.ProviderSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_ProviderSpec_To_kubeone_ProviderSpec(in, out, s)
}

func autoConvert_kubeone_ProviderSpec_To_v1beta3_ProviderSpec(in *kubeone.ProviderSpec, out *ProviderSpec, s conversion.Scope) error {
	out.CloudProviderSpec = *(*json.RawMessage)(unsafe.Pointer(&in.CloudProviderSpec))
	out.Annotations = *(*map[string]string)(unsafe.Pointer(&in.Annotations))
	out.MachineAnnotations = *(*map[string]string)(unsafe.Pointer(&in.MachineAnnotations))
	out.NodeAnnotations = *(*map[string]string)(unsafe.Pointer(&in.NodeAnnotations))
	out.MachineObjectAnnotations = *(*map[string]string)(unsafe.Pointer(&in.MachineObjectAnnotations))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.SSHPublicKeys = *(*[]string)(unsafe.Pointer(&in.SSHPublicKeys))
	out.OperatingSystem = in.OperatingSystem
	out.OperatingSystemSpec = *(*json.RawMessage)(unsafe.Pointer(&in.OperatingSystemSpec))
	out.Network = (*ProviderStaticNetworkConfig)(unsafe.Pointer(in.Network))
	out.OverwriteCloudConfig = (*string)(unsafe.Pointer(in.OverwriteCloudConfig))
	return nil
}

// Convert_kubeone_ProviderSpec_To_v1beta3_ProviderSpec is an autogenerated conversion function.
func Convert_kubeone_ProviderSpec_To_v1beta3_ProviderSpec(in *kubeone.ProviderSpec, out *ProviderSpec, s conversion.Scope) error {
	return autoConvert_kubeone_ProviderSpec_To_v1beta3_ProviderSpec(in, out, s)
}

func autoConvert_v1beta3_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(in *ProviderStaticNetworkConfig, out *kubeone.ProviderStaticNetworkConfig, s conversion.Scope) error {
	out.CIDR = in.CIDR
	out.Gateway = in.Gateway
	if err := Convert_v1beta3_DNSConfig_To_kubeone_DNSConfig(&in.DNS, &out.DNS, s); err != nil {
		return err
	}
	out.IPFamily = kubeone.IPFamily(in.IPFamily)
	return nil
}

// Convert_v1beta3_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig is an autogenerated conversion function.
func Convert_v1beta3_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(in *ProviderStaticNetworkConfig, out *kubeone.ProviderStaticNetworkConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(in, out, s)
}

func autoConvert_kubeone_ProviderStaticNetworkConfig_To_v1beta3_ProviderStaticNetworkConfig(in *kubeone.ProviderStaticNetworkConfig, out *ProviderStaticNetworkConfig, s conversion.Scope) error {
	out.CIDR = in.CIDR
	out.Gateway = in.Gateway
	if err := Convert_kubeone_DNSConfig_To_v1beta3_DNSConfig(&in.DNS, &out.DNS, s); err != nil {
		return err
	}
	out.IPFamily = IPFamily(in.IPFamily)
	return nil
}

// Convert_kubeone_ProviderStaticNetworkConfig_To_v1beta3_ProviderStaticNetworkConfig is an autogenerated conversion function.
func Convert_kubeone_ProviderStaticNetworkConfig_To_v1beta3_ProviderStaticNetworkConfig(in *kubeone.ProviderStaticNetworkConfig, out *ProviderStaticNetworkConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ProviderStaticNetworkConfig_To_v1beta3_ProviderStaticNetworkConfig(in, out, s)
}

func autoConvert_v1beta3_ProxyConfig_To_kubeone_ProxyConfig(in *ProxyConfig, out *kubeone.ProxyConfig, s conversion.Scope) error {
	out.HTTP = in.HTTP
	out.HTTPS = in.HTTPS
	out.NoProxy = in.NoProxy
	return nil
}

// Convert_v1beta3_ProxyConfig_To_kubeone_ProxyConfig is an autogenerated conversion function.
func Convert_v1beta3_ProxyConfig_To_kubeone_ProxyConfig(in *ProxyConfig, out *kubeone.ProxyConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_ProxyConfig_To_kubeone_ProxyConfig(in, out, s)
}

func autoConvert_kubeone_ProxyConfig_To_v1beta3_ProxyConfig(in *kubeone.ProxyConfig, out *ProxyConfig, s conversion.Scope) error {
	out.HTTP = in.HTTP
	out.HTTPS = in.HTTPS
	out.NoProxy = in.NoProxy
	return nil
}

// Convert_kubeone_ProxyConfig_To_v1beta3_ProxyConfig is an autogenerated conversion function.
func Convert_kubeone_ProxyConfig_To_v1beta3_ProxyConfig(in *kubeone.ProxyConfig, out *ProxyConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ProxyConfig_To_v1beta3_ProxyConfig(in, out, s)
}

func autoConvert_v1beta3_RegistryConfiguration_To_kubeone_RegistryConfiguration(in *RegistryConfiguration, out *kubeone.RegistryConfiguration, s conversion.Scope) error {
	out.OverwriteRegistry = in.OverwriteRegistry
	out.InsecureRegistry = in.InsecureRegistry
	return nil
}

// Convert_v1beta3_RegistryConfiguration_To_kubeone_RegistryConfiguration is an autogenerated conversion function.
func Convert_v1beta3_RegistryConfiguration_To_kubeone_RegistryConfiguration(in *RegistryConfiguration, out *kubeone.RegistryConfiguration, s conversion.Scope) error {
	return autoConvert_v1beta3_RegistryConfiguration_To_kubeone_RegistryConfiguration(in, out, s)
}

func autoConvert_kubeone_RegistryConfiguration_To_v1beta3_RegistryConfiguration(in *kubeone.RegistryConfiguration, out *RegistryConfiguration, s conversion.Scope) error {
	out.OverwriteRegistry = in.OverwriteRegistry
	out.InsecureRegistry = in.InsecureRegistry
	return nil
}

// Convert_kubeone_RegistryConfiguration_To_v1beta3_RegistryConfiguration is an autogenerated conversion function.
func Convert_kubeone_RegistryConfiguration_To_v1beta3_RegistryConfiguration(in *kubeone.RegistryConfiguration, out *RegistryConfiguration, s conversion.Scope) error {
	return autoConvert_kubeone_RegistryConfiguration_To_v1beta3_RegistryConfiguration(in, out, s)
}

func autoConvert_v1beta3_StaticAuditLog_To_kubeone_StaticAuditLog(in *StaticAuditLog, out *kubeone.StaticAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta3_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_StaticAuditLog_To_kubeone_StaticAuditLog is an autogenerated conversion function.
func Convert_v1beta3_StaticAuditLog_To_kubeone_StaticAuditLog(in *StaticAuditLog, out *kubeone.StaticAuditLog, s conversion.Scope) error {
	return autoConvert_v1beta3_StaticAuditLog_To_kubeone_StaticAuditLog(in, out, s)
}

func autoConvert_kubeone_StaticAuditLog_To_v1beta3_StaticAuditLog(in *kubeone.StaticAuditLog, out *StaticAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_StaticAuditLogConfig_To_v1beta3_StaticAuditLogConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_StaticAuditLog_To_v1beta3_StaticAuditLog is an autogenerated conversion function.
func Convert_kubeone_StaticAuditLog_To_v1beta3_StaticAuditLog(in *kubeone.StaticAuditLog, out *StaticAuditLog, s conversion.Scope) error {
	return autoConvert_kubeone_StaticAuditLog_To_v1beta3_StaticAuditLog(in, out, s)
}

func autoConvert_v1beta3_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(in *StaticAuditLogConfig, out *kubeone.StaticAuditLogConfig, s conversion.Scope) error {
	out.PolicyFilePath = in.PolicyFilePath
	out.LogPath = in.LogPath
	out.LogMaxAge = in.LogMaxAge
	out.LogMaxBackup = in.LogMaxBackup
	out.LogMaxSize = in.LogMaxSize
	return nil
}

// Convert_v1beta3_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig is an autogenerated conversion function.
func Convert_v1beta3_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(in *StaticAuditLogConfig, out *kubeone.StaticAuditLogConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(in, out, s)
}

func autoConvert_kubeone_StaticAuditLogConfig_To_v1beta3_StaticAuditLogConfig(in *kubeone.StaticAuditLogConfig, out *StaticAuditLogConfig, s conversion.Scope) error {
	out.PolicyFilePath = in.PolicyFilePath
	out.LogPath = in.LogPath
	out.LogMaxAge = in.LogMaxAge
	out.LogMaxBackup = in.LogMaxBackup
	out.LogMaxSize = in.LogMaxSize
	return nil
}

// Convert_kubeone_StaticAuditLogConfig_To_v1beta3_StaticAuditLogConfig is an autogenerated conversion function.
func Convert_kubeone_StaticAuditLogConfig_To_v1beta3_StaticAuditLogConfig(in *kubeone.StaticAuditLogConfig, out *StaticAuditLogConfig, s conversion.Scope) error {
	return autoConvert_kubeone_StaticAuditLogConfig_To_v1beta3_StaticAuditLogConfig(in, out, s)
}

func autoConvert_v1beta3_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(in *StaticWorkersConfig, out *kubeone.StaticWorkersConfig, s conversion.Scope) error {
	out.Hosts = *(*[]kubeone.HostConfig)(unsafe.Pointer(&in.Hosts))
	return nil
}

// Convert_v1beta3_StaticWorkersConfig_To_kubeone_StaticWorkersConfig is an autogenerated conversion function.
func Convert_v1beta3_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(in *StaticWorkersConfig, out *kubeone.StaticWorkersConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(in, out, s)
}

func autoConvert_kubeone_StaticWorkersConfig_To_v1beta3_StaticWorkersConfig(in *kubeone.StaticWorkersConfig, out *StaticWorkersConfig, s conversion.Scope) error {
	out.Hosts = *(*[]HostConfig)(unsafe.Pointer(&in.Hosts))
	return nil
}

// Convert_kubeone_StaticWorkersConfig_To_v1beta3_StaticWorkersConfig is an autogenerated conversion function.
func Convert_kubeone_StaticWorkersConfig_To_v1beta3_StaticWorkersConfig(in *kubeone.StaticWorkersConfig, out *StaticWorkersConfig, s conversion.Scope) error {
	return autoConvert_kubeone_StaticWorkersConfig_To_v1beta3_StaticWorkersConfig(in, out, s)
}

func autoConvert_v1beta3_SystemPackages_To_kubeone_SystemPackages(in *SystemPackages, out *kubeone.SystemPackages, s conversion.Scope) error {
	out.ConfigureRepositories = in.ConfigureRepositories
	return nil
}

// Convert_v1beta3_SystemPackages_To_kubeone_SystemPackages is an autogenerated conversion function.
func Convert_v1beta3_SystemPackages_To_kubeone_SystemPackages(in *SystemPackages, out *kubeone.SystemPackages, s conversion.Scope) error {
	return autoConvert_v1beta3_SystemPackages_To_kubeone_SystemPackages(in, out, s)
}

func autoConvert_kubeone_SystemPackages_To_v1beta3_SystemPackages(in *kubeone.SystemPackages, out *SystemPackages, s conversion.Scope) error {
	out.ConfigureRepositories = in.ConfigureRepositories
	return nil
}

// Convert_kubeone_SystemPackages_To_v1beta3_SystemPackages is an autogenerated conversion function.
func Convert_kubeone_SystemPackages_To_v1beta3_SystemPackages(in *kubeone.SystemPackages, out *SystemPackages, s conversion.Scope) error {
	return autoConvert_kubeone_SystemPackages_To_v1beta3_SystemPackages(in, out, s)
}

func autoConvert_v1beta3_TLSCipherSuites_To_kubeone_TLSCipherSuites(in *TLSCipherSuites, out *kubeone.TLSCipherSuites, s conversion.Scope) error {
	out.APIServer = *(*[]string)(unsafe.Pointer(&in.APIServer))
	out.Etcd = *(*[]string)(unsafe.Pointer(&in.Etcd))
	out.Kubelet = *(*[]string)(unsafe.Pointer(&in.Kubelet))
	return nil
}

// Convert_v1beta3_TLSCipherSuites_To_kubeone_TLSCipherSuites is an autogenerated conversion function.
func Convert_v1beta3_TLSCipherSuites_To_kubeone_TLSCipherSuites(in *TLSCipherSuites, out *kubeone.TLSCipherSuites, s conversion.Scope) error {
	return autoConvert_v1beta3_TLSCipherSuites_To_kubeone_TLSCipherSuites(in, out, s)
}

func autoConvert_kubeone_TLSCipherSuites_To_v1beta3_TLSCipherSuites(in *kubeone.TLSCipherSuites, out *TLSCipherSuites, s conversion.Scope) error {
	out.APIServer = *(*[]string)(unsafe.Pointer(&in.APIServer))
	out.Etcd = *(*[]string)(unsafe.Pointer(&in.Etcd))
	out.Kubelet = *(*[]string)(unsafe.Pointer(&in.Kubelet))
	return nil
}

// Convert_kubeone_TLSCipherSuites_To_v1beta3_TLSCipherSuites is an autogenerated conversion function.
func Convert_kubeone_TLSCipherSuites_To_v1beta3_TLSCipherSuites(in *kubeone.TLSCipherSuites, out *TLSCipherSuites, s conversion.Scope) error {
	return autoConvert_kubeone_TLSCipherSuites_To_v1beta3_TLSCipherSuites(in, out, s)
}

func autoConvert_v1beta3_VMwareCloudDirectorSpec_To_kubeone_VMwareCloudDirectorSpec(in *VMwareCloudDirectorSpec, out *kubeone.VMwareCloudDirectorSpec, s conversion.Scope) error {
	out.VApp = in.VApp
	out.StorageProfile = in.StorageProfile
	return nil
}

// Convert_v1beta3_VMwareCloudDirectorSpec_To_kubeone_VMwareCloudDirectorSpec is an autogenerated conversion function.
func Convert_v1beta3_VMwareCloudDirectorSpec_To_kubeone_VMwareCloudDirectorSpec(in *VMwareCloudDirectorSpec, out *kubeone.VMwareCloudDirectorSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_VMwareCloudDirectorSpec_To_kubeone_VMwareCloudDirectorSpec(in, out, s)
}

func autoConvert_kubeone_VMwareCloudDirectorSpec_To_v1beta3_VMwareCloudDirectorSpec(in *kubeone.VMwareCloudDirectorSpec, out *VMwareCloudDirectorSpec, s conversion.Scope) error {
	out.VApp = in.VApp
	out.StorageProfile = in.StorageProfile
	return nil
}

// Convert_kubeone_VMwareCloudDirectorSpec_To_v1beta3_VMwareCloudDirectorSpec is an autogenerated conversion function.
func Convert_kubeone_VMwareCloudDirectorSpec_To_v1beta3_VMwareCloudDirectorSpec(in *kubeone.VMwareCloudDirectorSpec, out *VMwareCloudDirectorSpec, s conversion.Scope) error {
	return autoConvert_kubeone_VMwareCloudDirectorSpec_To_v1beta3_VMwareCloudDirectorSpec(in, out, s)
}

func autoConvert_v1beta3_VersionConfig_To_kubeone_VersionConfig(in *VersionConfig, out *kubeone.VersionConfig, s conversion.Scope) error {
	out.Kubernetes = in.Kubernetes
	return nil
}

// Convert_v1beta3_VersionConfig_To_kubeone_VersionConfig is an autogenerated conversion function.
func Convert_v1beta3_VersionConfig_To_kubeone_VersionConfig(in *VersionConfig, out *kubeone.VersionConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_VersionConfig_To_kubeone_VersionConfig(in, out, s)
}

func autoConvert_kubeone_VersionConfig_To_v1beta3_VersionConfig(in *kubeone.VersionConfig, out *VersionConfig, s conversion.Scope) error {
	out.Kubernetes = in.Kubernetes
	return nil
}

// Convert_kubeone_VersionConfig_To_v1beta3_VersionConfig is an autogenerated conversion function.
func Convert_kubeone_VersionConfig_To_v1beta3_VersionConfig(in *kubeone.VersionConfig, out *VersionConfig, s conversion.Scope) error {
	return autoConvert_kubeone_VersionConfig_To_v1beta3_VersionConfig(in, out, s)
}

func autoConvert_v1beta3_VsphereSpec_To_kubeone_VsphereSpec(in *VsphereSpec, out *kubeone.VsphereSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta3_VsphereSpec_To_kubeone_VsphereSpec is an autogenerated conversion function.
func Convert_v1beta3_VsphereSpec_To_kubeone_VsphereSpec(in *VsphereSpec, out *kubeone.VsphereSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_VsphereSpec_To_kubeone_VsphereSpec(in, out, s)
}

func autoConvert_kubeone_VsphereSpec_To_v1beta3_VsphereSpec(in *kubeone.VsphereSpec, out *VsphereSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_VsphereSpec_To_v1beta3_VsphereSpec is an autogenerated conversion function.
func Convert_kubeone_VsphereSpec_To_v1beta3_VsphereSpec(in *kubeone.VsphereSpec, out *VsphereSpec, s conversion.Scope) error {
	return autoConvert_kubeone_VsphereSpec_To_v1beta3_VsphereSpec(in, out, s)
}

func autoConvert_v1beta3_WeaveNetSpec_To_kubeone_WeaveNetSpec(in *WeaveNetSpec, out *kubeone.WeaveNetSpec, s conversion.Scope) error {
	out.Encrypted = in.Encrypted
	return nil
}

// Convert_v1beta3_WeaveNetSpec_To_kubeone_WeaveNetSpec is an autogenerated conversion function.
func Convert_v1beta3_WeaveNetSpec_To_kubeone_WeaveNetSpec(in *WeaveNetSpec, out *kubeone.WeaveNetSpec, s conversion.Scope) error {
	return autoConvert_v1beta3_WeaveNetSpec_To_kubeone_WeaveNetSpec(in, out, s)
}

func autoConvert_kubeone_WeaveNetSpec_To_v1beta3_WeaveNetSpec(in *kubeone.WeaveNetSpec, out *WeaveNetSpec, s conversion.Scope) error {
	out.Encrypted = in.Encrypted
	return nil
}

// Convert_kubeone_WeaveNetSpec_To_v1beta3_WeaveNetSpec is an autogenerated conversion function.
func Convert_kubeone_WeaveNetSpec_To_v1beta3_WeaveNetSpec(in *kubeone.WeaveNetSpec, out *WeaveNetSpec, s conversion.Scope) error {
	return autoConvert_kubeone_WeaveNetSpec_To_v1beta3_WeaveNetSpec(in, out, s)
}

func autoConvert_v1beta3_WebHookAuditLogBatchConfig_To_kubeone_WebHookAuditLogBatchConfig(in *WebHookAuditLogBatchConfig, out *kubeone.WebHookAuditLogBatchConfig, s conversion.Scope) error {
	out.BufferSize = in.BufferSize
	out.MaxSize = in.MaxSize
	out.MaxWait = in.MaxWait
	if err := Convert_v1beta3_WebHookAuditLogThrottleConfig_To_kubeone_WebHookAuditLogThrottleConfig(&in.Throttle, &out.Throttle, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_WebHookAuditLogBatchConfig_To_kubeone_WebHookAuditLogBatchConfig is an autogenerated conversion function.
func Convert_v1beta3_WebHookAuditLogBatchConfig_To_kubeone_WebHookAuditLogBatchConfig(in *WebHookAuditLogBatchConfig, out *kubeone.WebHookAuditLogBatchConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_WebHookAuditLogBatchConfig_To_kubeone_WebHookAuditLogBatchConfig(in, out, s)
}

func autoConvert_kubeone_WebHookAuditLogBatchConfig_To_v1beta3_WebHookAuditLogBatchConfig(in *kubeone.WebHookAuditLogBatchConfig, out *WebHookAuditLogBatchConfig, s conversion.Scope) error {
	out.BufferSize = in.BufferSize
	out.MaxSize = in.MaxSize
	out.MaxWait = in.MaxWait
	if err := Convert_kubeone_WebHookAuditLogThrottleConfig_To_v1beta3_WebHookAuditLogThrottleConfig(&in.Throttle, &out.Throttle, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_WebHookAuditLogBatchConfig_To_v1beta3_WebHookAuditLogBatchConfig is an autogenerated conversion function.
func Convert_kubeone_WebHookAuditLogBatchConfig_To_v1beta3_WebHookAuditLogBatchConfig(in *kubeone.WebHookAuditLogBatchConfig, out *WebHookAuditLogBatchConfig, s conversion.Scope) error {
	return autoConvert_kubeone_WebHookAuditLogBatchConfig_To_v1beta3_WebHookAuditLogBatchConfig(in, out, s)
}

func autoConvert_v1beta3_WebHookAuditLogThrottleConfig_To_kubeone_WebHookAuditLogThrottleConfig(in *WebHookAuditLogThrottleConfig, out *kubeone.WebHookAuditLogThrottleConfig, s conversion.Scope) error {
	out.Disable = in.Disable
	out.Burst = in.Burst
	out.QPS = in.QPS
	return nil
}

// Convert_v1beta3_WebHookAuditLogThrottleConfig_To_kubeone_WebHookAuditLogThrottleConfig is an autogenerated conversion function.
func Convert_v1beta3_WebHookAuditLogThrottleConfig_To_kubeone_WebHookAuditLogThrottleConfig(in *WebHookAuditLogThrottleConfig, out *kubeone.WebHookAuditLogThrottleConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_WebHookAuditLogThrottleConfig_To_kubeone_WebHookAuditLogThrottleConfig(in, out, s)
}

func autoConvert_kubeone_WebHookAuditLogThrottleConfig_To_v1beta3_WebHookAuditLogThrottleConfig(in *kubeone.WebHookAuditLogThrottleConfig, out *WebHookAuditLogThrottleConfig, s conversion.Scope) error {
	out.Disable = in.Disable
	out.Burst = in.Burst
	out.QPS = in.QPS
	return nil
}

// Convert_kubeone_WebHookAuditLogThrottleConfig_To_v1beta3_WebHookAuditLogThrottleConfig is an autogenerated conversion function.
func Convert_kubeone_WebHookAuditLogThrottleConfig_To_v1beta3_WebHookAuditLogThrottleConfig(in *kubeone.WebHookAuditLogThrottleConfig, out *WebHookAuditLogThrottleConfig, s conversion.Scope) error {
	return autoConvert_kubeone_WebHookAuditLogThrottleConfig_To_v1beta3_WebHookAuditLogThrottleConfig(in, out, s)
}

func autoConvert_v1beta3_WebHookAuditLogTruncateConfig_To_kubeone_WebHookAuditLogTruncateConfig(in *WebHookAuditLogTruncateConfig, out *kubeone.WebHookAuditLogTruncateConfig, s conversion.Scope) error {
	out.Enable = in.Enable
	out.MaxBatchSize = in.MaxBatchSize
	out.MaxEventSize = in.MaxEventSize
	return nil
}

// Convert_v1beta3_WebHookAuditLogTruncateConfig_To_kubeone_WebHookAuditLogTruncateConfig is an autogenerated conversion function.
func Convert_v1beta3_WebHookAuditLogTruncateConfig_To_kubeone_WebHookAuditLogTruncateConfig(in *WebHookAuditLogTruncateConfig, out *kubeone.WebHookAuditLogTruncateConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_WebHookAuditLogTruncateConfig_To_kubeone_WebHookAuditLogTruncateConfig(in, out, s)
}

func autoConvert_kubeone_WebHookAuditLogTruncateConfig_To_v1beta3_WebHookAuditLogTruncateConfig(in *kubeone.WebHookAuditLogTruncateConfig, out *WebHookAuditLogTruncateConfig, s conversion.Scope) error {
	out.Enable = in.Enable
	out.MaxBatchSize = in.MaxBatchSize
	out.MaxEventSize = in.MaxEventSize
	return nil
}

// Convert_kubeone_WebHookAuditLogTruncateConfig_To_v1beta3_WebHookAuditLogTruncateConfig is an autogenerated conversion function.
func Convert_kubeone_WebHookAuditLogTruncateConfig_To_v1beta3_WebHookAuditLogTruncateConfig(in *kubeone.WebHookAuditLogTruncateConfig, out *WebHookAuditLogTruncateConfig, s conversion.Scope) error {
	return autoConvert_kubeone_WebHookAuditLogTruncateConfig_To_v1beta3_WebHookAuditLogTruncateConfig(in, out, s)
}

func autoConvert_v1beta3_WebhookAuditLog_To_kubeone_WebhookAuditLog(in *WebhookAuditLog, out *kubeone.WebhookAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta3_WebhookAuditLogConfig_To_kubeone_WebhookAuditLogConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_WebhookAuditLog_To_kubeone_WebhookAuditLog is an autogenerated conversion function.
func Convert_v1beta3_WebhookAuditLog_To_kubeone_WebhookAuditLog(in *WebhookAuditLog, out *kubeone.WebhookAuditLog, s conversion.Scope) error {
	return autoConvert_v1beta3_WebhookAuditLog_To_kubeone_WebhookAuditLog(in, out, s)
}

func autoConvert_kubeone_WebhookAuditLog_To_v1beta3_WebhookAuditLog(in *kubeone.WebhookAuditLog, out *WebhookAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_WebhookAuditLogConfig_To_v1beta3_WebhookAuditLogConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_WebhookAuditLog_To_v1beta3_WebhookAuditLog is an autogenerated conversion function.
func Convert_kubeone_WebhookAuditLog_To_v1beta3_WebhookAuditLog(in *kubeone.WebhookAuditLog, out *WebhookAuditLog, s conversion.Scope) error {
	return autoConvert_kubeone_WebhookAuditLog_To_v1beta3_WebhookAuditLog(in, out, s)
}

func autoConvert_v1beta3_WebhookAuditLogConfig_To_kubeone_WebhookAuditLogConfig(in *WebhookAuditLogConfig, out *kubeone.WebhookAuditLogConfig, s conversion.Scope) error {
	out.PolicyFilePath = in.PolicyFilePath
	out.ConfigFilePath = in.ConfigFilePath
	out.InitialBackOff = in.InitialBackOff
	out.Mode = kubeone.WebhookMode(in.Mode)
	out.Version = in.Version
	if err := Convert_v1beta3_WebHookAuditLogBatchConfig_To_kubeone_WebHookAuditLogBatchConfig(&in.Batch, &out.Batch, s); err != nil {
		return err
	}
	if err := Convert_v1beta3_WebHookAuditLogTruncateConfig_To_kubeone_WebHookAuditLogTruncateConfig(&in.Truncate, &out.Truncate, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta3_WebhookAuditLogConfig_To_kubeone_WebhookAuditLogConfig is an autogenerated conversion function.
func Convert_v1beta3_WebhookAuditLogConfig_To_kubeone_WebhookAuditLogConfig(in *WebhookAuditLogConfig, out *kubeone.WebhookAuditLogConfig, s conversion.Scope) error {
	return autoConvert_v1beta3_WebhookAuditLogConfig_To_kubeone_WebhookAuditLogConfig(in, out, s)
}

func autoConvert_kubeone_WebhookAuditLogConfig_To_v1beta3_WebhookAuditLogConfig(in *kubeone.WebhookAuditLogConfig, out *WebhookAuditLogConfig, s conversion.Scope) error {
	out.PolicyFilePath = in.PolicyFilePath
	out.ConfigFilePath = in.ConfigFilePath
	out.InitialBackOff = in.InitialBackOff
	out.Mode = string(in.Mode)
	out.Version = in.Version
	if err := Convert_kubeone_WebHookAuditLogBatchConfig_To_v1beta3_WebHookAuditLogBatchConfig(&in.Batch, &out.Batch, s); err != nil {
		return err
	}
	if err := Convert_kubeone_WebHookAuditLogTruncateConfig_To_v1beta3_WebHookAuditLogTruncateConfig(&in.Truncate, &out.Truncate, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_WebhookAuditLogConfig_To_v1beta3_WebhookAuditLogConfig is an autogenerated conversion function.
func Convert_kubeone_WebhookAuditLogConfig_To_v1beta3_WebhookAuditLogConfig(in *kubeone.WebhookAuditLogConfig, out *WebhookAuditLogConfig, s conversion.Scope) error {
	return autoConvert_kubeone_WebhookAuditLogConfig_To_v1beta3_WebhookAuditLogConfig(in, out, s)
}
